/* CUPSNotifier.c generated by valac 0.39.7, the Vala compiler
 * generated from CUPSNotifier.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street - Fifth Floor,
 * Boston, MA 02110-1301, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>


#define CUPS_TYPE_NOTIFIER_DBUS (cups_notifier_dbus_get_type ())
#define CUPS_NOTIFIER_DBUS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUPS_TYPE_NOTIFIER_DBUS, CupsNotifierDBus))
#define CUPS_IS_NOTIFIER_DBUS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CUPS_TYPE_NOTIFIER_DBUS))
#define CUPS_NOTIFIER_DBUS_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), CUPS_TYPE_NOTIFIER_DBUS, CupsNotifierDBusIface))

typedef struct _CupsNotifierDBus CupsNotifierDBus;
typedef struct _CupsNotifierDBusIface CupsNotifierDBusIface;

#define CUPS_TYPE_NOTIFIER_DBUS_PROXY (cups_notifier_dbus_proxy_get_type ())
typedef GDBusProxy CupsNotifierDBusProxy;
typedef GDBusProxyClass CupsNotifierDBusProxyClass;

#define CUPS_TYPE_NOTIFIER (cups_notifier_get_type ())
#define CUPS_NOTIFIER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUPS_TYPE_NOTIFIER, CupsNotifier))
#define CUPS_NOTIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), CUPS_TYPE_NOTIFIER, CupsNotifierClass))
#define CUPS_IS_NOTIFIER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CUPS_TYPE_NOTIFIER))
#define CUPS_IS_NOTIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CUPS_TYPE_NOTIFIER))
#define CUPS_NOTIFIER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), CUPS_TYPE_NOTIFIER, CupsNotifierClass))

typedef struct _CupsNotifier CupsNotifier;
typedef struct _CupsNotifierClass CupsNotifierClass;
typedef struct _CupsNotifierPrivate CupsNotifierPrivate;
enum  {
	CUPS_NOTIFIER_0_PROPERTY,
	CUPS_NOTIFIER_NUM_PROPERTIES
};
static GParamSpec* cups_notifier_properties[CUPS_NOTIFIER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	CUPS_NOTIFIER_SERVER_RESTARTED_SIGNAL,
	CUPS_NOTIFIER_SERVER_STARTED_SIGNAL,
	CUPS_NOTIFIER_SERVER_STOPPED_SIGNAL,
	CUPS_NOTIFIER_SERVER_AUDIT_SIGNAL,
	CUPS_NOTIFIER_PRINTER_RESTARTED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_SHUTDOWN_SIGNAL,
	CUPS_NOTIFIER_PRINTER_STOPPED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_STATE_CHANGED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_FINISHINGS_CHANGED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_MEDIA_CHANGED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_ADDED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_DELETED_SIGNAL,
	CUPS_NOTIFIER_PRINTER_MODIFIED_SIGNAL,
	CUPS_NOTIFIER_JOB_CREATED_SIGNAL,
	CUPS_NOTIFIER_JOB_COMPLETED_SIGNAL,
	CUPS_NOTIFIER_JOB_STOPPED_SIGNAL,
	CUPS_NOTIFIER_JOB_CONFIG_CHANGED_SIGNAL,
	CUPS_NOTIFIER_JOB_PROGRESS_SIGNAL,
	CUPS_NOTIFIER_JOB_STATE_SIGNAL,
	CUPS_NOTIFIER_JOB_STATE_CHANGED_SIGNAL,
	CUPS_NOTIFIER_NUM_SIGNALS
};
static guint cups_notifier_signals[CUPS_NOTIFIER_NUM_SIGNALS] = {0};

struct _CupsNotifierDBusIface {
	GTypeInterface parent_iface;
};

struct _CupsNotifier {
	GObject parent_instance;
	CupsNotifierPrivate * priv;
};

struct _CupsNotifierClass {
	GObjectClass parent_class;
};

struct _CupsNotifierPrivate {
	CupsNotifierDBus* dbus_notifier;
};


static gpointer cups_notifier_parent_class = NULL;
static CupsNotifier* cups_notifier_notifier;
static CupsNotifier* cups_notifier_notifier = NULL;

GType cups_notifier_dbus_get_type (void) G_GNUC_CONST;
GType cups_notifier_dbus_proxy_get_type (void) G_GNUC_CONST;
guint cups_notifier_dbus_register_object (void* object,
                                          GDBusConnection* connection,
                                          const gchar* path,
                                          GError** error);
static void cups_notifier_dbus_proxy_g_signal (GDBusProxy* proxy,
                                        const gchar* sender_name,
                                        const gchar* signal_name,
                                        GVariant* parameters);
static void cups_notifier_dbus_proxy_cups_notifier_dbus_interface_init (CupsNotifierDBusIface* iface);
static void cups_notifier_dbus_dbus_interface_method_call (GDBusConnection* connection,
                                                    const gchar* sender,
                                                    const gchar* object_path,
                                                    const gchar* interface_name,
                                                    const gchar* method_name,
                                                    GVariant* parameters,
                                                    GDBusMethodInvocation* invocation,
                                                    gpointer user_data);
static GVariant* cups_notifier_dbus_dbus_interface_get_property (GDBusConnection* connection,
                                                          const gchar* sender,
                                                          const gchar* object_path,
                                                          const gchar* interface_name,
                                                          const gchar* property_name,
                                                          GError** error,
                                                          gpointer user_data);
static gboolean cups_notifier_dbus_dbus_interface_set_property (GDBusConnection* connection,
                                                         const gchar* sender,
                                                         const gchar* object_path,
                                                         const gchar* interface_name,
                                                         const gchar* property_name,
                                                         GVariant* value,
                                                         GError** error,
                                                         gpointer user_data);
static void _cups_notifier_dbus_unregister_object (gpointer user_data);
GType cups_notifier_get_type (void) G_GNUC_CONST;
#define CUPS_NOTIFIER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), CUPS_TYPE_NOTIFIER, CupsNotifierPrivate))
CupsNotifier* cups_notifier_get_default (void);
static CupsNotifier* cups_notifier_new (void);
static CupsNotifier* cups_notifier_construct (GType object_type);
static void __lambda19_ (CupsNotifier* self,
                  GObject* obj,
                  GAsyncResult* res);
static void cups_notifier_subscription_callback (CupsNotifier* self,
                                          GDBusConnection* connection,
                                          const gchar* sender_name,
                                          const gchar* object_path,
                                          const gchar* interface_name,
                                          const gchar* signal_name,
                                          GVariant* parameters);
static void _cups_notifier_subscription_callback_gd_bus_signal_callback (GDBusConnection* connection,
                                                                  const gchar* sender_name,
                                                                  const gchar* object_path,
                                                                  const gchar* interface_name,
                                                                  const gchar* signal_name,
                                                                  GVariant* parameters,
                                                                  gpointer self);
static void ___lambda19__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
static void cups_notifier_send_server_event (CupsNotifier* self,
                                      const gchar* signal_name,
                                      GVariant* parameters);
static void cups_notifier_send_printer_event (CupsNotifier* self,
                                       const gchar* signal_name,
                                       GVariant* parameters);
static void cups_notifier_send_job_event (CupsNotifier* self,
                                   const gchar* signal_name,
                                   GVariant* parameters);
static void g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN (GClosure * closure,
                                                                             GValue * return_value,
                                                                             guint n_param_values,
                                                                             const GValue * param_values,
                                                                             gpointer invocation_hint,
                                                                             gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT (GClosure * closure,
                                                                                                          GValue * return_value,
                                                                                                          guint n_param_values,
                                                                                                          const GValue * param_values,
                                                                                                          gpointer invocation_hint,
                                                                                                          gpointer marshal_data);
static void cups_notifier_finalize (GObject * obj);

static const GDBusMethodInfo * const _cups_notifier_dbus_dbus_method_info[] = {NULL};
static const GDBusSignalInfo * const _cups_notifier_dbus_dbus_signal_info[] = {NULL};
static const GDBusPropertyInfo * const _cups_notifier_dbus_dbus_property_info[] = {NULL};
static const GDBusInterfaceInfo _cups_notifier_dbus_dbus_interface_info = {-1, "org.cups.cupsd.Notifier", (GDBusMethodInfo **) (&_cups_notifier_dbus_dbus_method_info), (GDBusSignalInfo **) (&_cups_notifier_dbus_dbus_signal_info), (GDBusPropertyInfo **) (&_cups_notifier_dbus_dbus_property_info)};
static const GDBusInterfaceVTable _cups_notifier_dbus_dbus_interface_vtable = {cups_notifier_dbus_dbus_interface_method_call, cups_notifier_dbus_dbus_interface_get_property, cups_notifier_dbus_dbus_interface_set_property};

static void
cups_notifier_dbus_base_init (CupsNotifierDBusIface * iface)
{
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static gboolean initialized = FALSE;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (!initialized) {
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		initialized = TRUE;
#line 210 "CUPSNotifier.c"
	}
}


GType
cups_notifier_dbus_get_type (void)
{
	static volatile gsize cups_notifier_dbus_type_id__volatile = 0;
	if (g_once_init_enter (&cups_notifier_dbus_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CupsNotifierDBusIface), (GBaseInitFunc) cups_notifier_dbus_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType cups_notifier_dbus_type_id;
		cups_notifier_dbus_type_id = g_type_register_static (G_TYPE_INTERFACE, "CupsNotifierDBus", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (cups_notifier_dbus_type_id, G_TYPE_OBJECT);
		g_type_set_qdata (cups_notifier_dbus_type_id, g_quark_from_static_string ("vala-dbus-proxy-type"), (void*) cups_notifier_dbus_proxy_get_type);
		g_type_set_qdata (cups_notifier_dbus_type_id, g_quark_from_static_string ("vala-dbus-interface-name"), "org.cups.cupsd.Notifier");
		g_type_set_qdata (cups_notifier_dbus_type_id, g_quark_from_static_string ("vala-dbus-interface-info"), (void*) (&_cups_notifier_dbus_dbus_interface_info));
		g_type_set_qdata (cups_notifier_dbus_type_id, g_quark_from_static_string ("vala-dbus-register-object"), (void*) cups_notifier_dbus_register_object);
		g_once_init_leave (&cups_notifier_dbus_type_id__volatile, cups_notifier_dbus_type_id);
	}
	return cups_notifier_dbus_type_id__volatile;
}


G_DEFINE_TYPE_EXTENDED (CupsNotifierDBusProxy, cups_notifier_dbus_proxy, G_TYPE_DBUS_PROXY, 0, G_IMPLEMENT_INTERFACE (CUPS_TYPE_NOTIFIER_DBUS, cups_notifier_dbus_proxy_cups_notifier_dbus_interface_init) )
static void
cups_notifier_dbus_proxy_class_init (CupsNotifierDBusProxyClass* klass)
{
	G_DBUS_PROXY_CLASS (klass)->g_signal = cups_notifier_dbus_proxy_g_signal;
}


static void
cups_notifier_dbus_proxy_g_signal (GDBusProxy* proxy,
                                   const gchar* sender_name,
                                   const gchar* signal_name,
                                   GVariant* parameters)
{
}


static void
cups_notifier_dbus_proxy_init (CupsNotifierDBusProxy* self)
{
}


static void
cups_notifier_dbus_proxy_cups_notifier_dbus_interface_init (CupsNotifierDBusIface* iface)
{
}


static void
cups_notifier_dbus_dbus_interface_method_call (GDBusConnection* connection,
                                               const gchar* sender,
                                               const gchar* object_path,
                                               const gchar* interface_name,
                                               const gchar* method_name,
                                               GVariant* parameters,
                                               GDBusMethodInvocation* invocation,
                                               gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	g_object_unref (invocation);
}


static GVariant*
cups_notifier_dbus_dbus_interface_get_property (GDBusConnection* connection,
                                                const gchar* sender,
                                                const gchar* object_path,
                                                const gchar* interface_name,
                                                const gchar* property_name,
                                                GError** error,
                                                gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	return NULL;
}


static gboolean
cups_notifier_dbus_dbus_interface_set_property (GDBusConnection* connection,
                                                const gchar* sender,
                                                const gchar* object_path,
                                                const gchar* interface_name,
                                                const gchar* property_name,
                                                GVariant* value,
                                                GError** error,
                                                gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	return FALSE;
}


guint
cups_notifier_dbus_register_object (gpointer object,
                                    GDBusConnection* connection,
                                    const gchar* path,
                                    GError** error)
{
	guint result;
	gpointer *data;
	data = g_new (gpointer, 3);
	data[0] = g_object_ref (object);
	data[1] = g_object_ref (connection);
	data[2] = g_strdup (path);
	result = g_dbus_connection_register_object (connection, path, (GDBusInterfaceInfo *) (&_cups_notifier_dbus_dbus_interface_info), &_cups_notifier_dbus_dbus_interface_vtable, data, _cups_notifier_dbus_unregister_object, error);
	if (!result) {
		return 0;
	}
	return result;
}


static void
_cups_notifier_dbus_unregister_object (gpointer user_data)
{
	gpointer* data;
	data = user_data;
	g_object_unref (data[0]);
	g_object_unref (data[1]);
	g_free (data[2]);
	g_free (data);
}


CupsNotifier*
cups_notifier_get_default (void)
{
	CupsNotifier* result = NULL;
	CupsNotifier* _tmp0_;
	CupsNotifier* _tmp2_;
#line 31 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp0_ = cups_notifier_notifier;
#line 31 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (_tmp0_ == NULL) {
#line 358 "CUPSNotifier.c"
		CupsNotifier* _tmp1_;
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp1_ = cups_notifier_new ();
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_g_object_unref0 (cups_notifier_notifier);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		cups_notifier_notifier = _tmp1_;
#line 366 "CUPSNotifier.c"
	}
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp2_ = cups_notifier_notifier;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	result = _tmp2_;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	return result;
#line 374 "CUPSNotifier.c"
}


static void
_cups_notifier_subscription_callback_gd_bus_signal_callback (GDBusConnection* connection,
                                                             const gchar* sender_name,
                                                             const gchar* object_path,
                                                             const gchar* interface_name,
                                                             const gchar* signal_name,
                                                             GVariant* parameters,
                                                             gpointer self)
{
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_subscription_callback ((CupsNotifier*) self, connection, sender_name, object_path, interface_name, signal_name, parameters);
#line 389 "CUPSNotifier.c"
}


static void
__lambda19_ (CupsNotifier* self,
             GObject* obj,
             GAsyncResult* res)
{
	GError * _inner_error_ = NULL;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (res != NULL);
#line 401 "CUPSNotifier.c"
	{
		CupsNotifierDBus* _tmp0_ = NULL;
		CupsNotifierDBus* _tmp1_;
		CupsNotifierDBus* _tmp2_;
		CupsNotifierDBus* _tmp3_;
		CupsNotifierDBus* _tmp4_;
		GDBusConnection* _tmp5_;
		GDBusConnection* _tmp6_;
		GDBusConnection* _tmp7_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp1_ = g_async_result_get_source_object (res);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp2_ = g_async_initable_new_finish (_tmp1_, res, &_inner_error_);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_object_unref (_tmp1_);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp0_ = (CupsNotifierDBus*) _tmp2_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			if (_inner_error_->domain == G_IO_ERROR) {
#line 423 "CUPSNotifier.c"
				goto __catch9_g_io_error;
			}
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			g_clear_error (&_inner_error_);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			return;
#line 432 "CUPSNotifier.c"
		}
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp3_ = _tmp0_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp0_ = NULL;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_g_object_unref0 (self->priv->dbus_notifier);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		self->priv->dbus_notifier = _tmp3_;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp4_ = self->priv->dbus_notifier;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_object_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, g_dbus_proxy_get_type (), GDBusProxy), "g-connection", &_tmp5_, NULL);
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp6_ = _tmp5_;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp7_ = _tmp6_;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_dbus_connection_signal_subscribe (_tmp7_, NULL, "org.cups.cupsd.Notifier", NULL, "/org/cups/cupsd/Notifier", NULL, G_DBUS_SIGNAL_FLAGS_NONE, _cups_notifier_subscription_callback_gd_bus_signal_callback, g_object_ref (self), g_object_unref);
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_g_object_unref0 (_tmp7_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_g_object_unref0 (_tmp0_);
#line 456 "CUPSNotifier.c"
	}
	goto __finally9;
	__catch9_g_io_error:
	{
		GError* e = NULL;
		GError* _tmp8_;
		const gchar* _tmp9_;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		e = _inner_error_;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_inner_error_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp8_ = e;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_tmp9_ = _tmp8_->message;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_critical ("CUPSNotifier.vala:68: %s", _tmp9_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		_g_error_free0 (e);
#line 476 "CUPSNotifier.c"
	}
	__finally9:
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		g_clear_error (&_inner_error_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		return;
#line 487 "CUPSNotifier.c"
	}
}


static void
___lambda19__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	__lambda19_ ((CupsNotifier*) self, source_object, res);
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_object_unref (self);
#line 501 "CUPSNotifier.c"
}


static CupsNotifier*
cups_notifier_construct (GType object_type)
{
	CupsNotifier * self = NULL;
	GError * _inner_error_ = NULL;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	self = (CupsNotifier*) g_object_new (object_type, NULL);
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_async_initable_new_async (CUPS_TYPE_NOTIFIER_DBUS_PROXY, 0, NULL, ___lambda19__gasync_ready_callback, g_object_ref (self), "g-flags", G_DBUS_PROXY_FLAGS_NONE, "g-name", "org.cups.cupsd.Notifier", "g-bus-type", G_BUS_TYPE_SYSTEM, "g-object-path", "/org/cups/cupsd/Notifier", "g-interface-name", "org.cups.cupsd.Notifier", "g-interface-info", g_type_get_qdata (CUPS_TYPE_NOTIFIER_DBUS, g_quark_from_static_string ("vala-dbus-interface-info")), NULL);
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	return self;
#line 516 "CUPSNotifier.c"
}


static CupsNotifier*
cups_notifier_new (void)
{
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	return cups_notifier_construct (CUPS_TYPE_NOTIFIER);
#line 525 "CUPSNotifier.c"
}


static void
cups_notifier_subscription_callback (CupsNotifier* self,
                                     GDBusConnection* connection,
                                     const gchar* sender_name,
                                     const gchar* object_path,
                                     const gchar* interface_name,
                                     const gchar* signal_name,
                                     GVariant* parameters)
{
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (self != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (connection != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (sender_name != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (object_path != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (interface_name != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (signal_name != NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (parameters != NULL);
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	switch (g_variant_n_children (parameters)) {
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		case 1:
#line 556 "CUPSNotifier.c"
		{
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			cups_notifier_send_server_event (self, signal_name, parameters);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			break;
#line 562 "CUPSNotifier.c"
		}
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		case 6:
#line 566 "CUPSNotifier.c"
		{
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			cups_notifier_send_printer_event (self, signal_name, parameters);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			break;
#line 572 "CUPSNotifier.c"
		}
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		case 11:
#line 576 "CUPSNotifier.c"
		{
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			cups_notifier_send_job_event (self, signal_name, parameters);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			break;
#line 582 "CUPSNotifier.c"
		}
		default:
		{
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			g_debug ("CUPSNotifier.vala:85: Signal `%s` isn't handled by the plug", signal_name);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
			break;
#line 590 "CUPSNotifier.c"
		}
	}
}


static void
cups_notifier_send_server_event (CupsNotifier* self,
                                 const gchar* signal_name,
                                 GVariant* parameters)
{
	gchar* text = NULL;
	GVariant* _tmp0_;
	GVariant* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	GQuark _tmp7_ = 0U;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp6_label0 = 0;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp6_label1 = 0;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp6_label2 = 0;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp6_label3 = 0;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (self != NULL);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (signal_name != NULL);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (parameters != NULL);
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp0_ = g_variant_get_child_value (parameters, (gsize) 0);
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp1_ = _tmp0_;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp2_ = g_variant_get_string (_tmp1_, NULL);
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp4_ = _tmp3_;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp1_);
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	text = _tmp4_;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp5_ = signal_name;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp7_ = (NULL == _tmp5_) ? 0 : g_quark_from_string (_tmp5_);
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (_tmp7_ == ((0 != _tmp6_label0) ? _tmp6_label0 : (_tmp6_label0 = g_quark_from_static_string ("ServerRestarted")))) {
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 645 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp8_;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp8_ = text;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_SERVER_RESTARTED_SIGNAL], 0, _tmp8_);
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 655 "CUPSNotifier.c"
			}
		}
	} else if (_tmp7_ == ((0 != _tmp6_label1) ? _tmp6_label1 : (_tmp6_label1 = g_quark_from_static_string ("ServerStarted")))) {
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 661 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp9_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp9_ = text;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_SERVER_STARTED_SIGNAL], 0, _tmp9_);
#line 98 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 671 "CUPSNotifier.c"
			}
		}
	} else if (_tmp7_ == ((0 != _tmp6_label2) ? _tmp6_label2 : (_tmp6_label2 = g_quark_from_static_string ("ServerStopped")))) {
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 677 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp10_;
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp10_ = text;
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_SERVER_STOPPED_SIGNAL], 0, _tmp10_);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 687 "CUPSNotifier.c"
			}
		}
	} else if (_tmp7_ == ((0 != _tmp6_label3) ? _tmp6_label3 : (_tmp6_label3 = g_quark_from_static_string ("ServerAudit")))) {
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 693 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp11_;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp11_ = text;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_SERVER_AUDIT_SIGNAL], 0, _tmp11_);
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 703 "CUPSNotifier.c"
			}
		}
	} else {
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 709 "CUPSNotifier.c"
			default:
			{
#line 106 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_debug ("CUPSNotifier.vala:106: Signal `%s` isn't handled by the plug", signal_name);
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 716 "CUPSNotifier.c"
			}
		}
	}
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (text);
#line 722 "CUPSNotifier.c"
}


static void
cups_notifier_send_printer_event (CupsNotifier* self,
                                  const gchar* signal_name,
                                  GVariant* parameters)
{
	gchar* text = NULL;
	GVariant* _tmp0_;
	GVariant* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* printer_uri = NULL;
	GVariant* _tmp5_;
	GVariant* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* name = NULL;
	GVariant* _tmp10_;
	GVariant* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	guint32 state = 0U;
	GVariant* _tmp15_;
	GVariant* _tmp16_;
	guint32 _tmp17_;
	gchar* state_reasons = NULL;
	GVariant* _tmp18_;
	GVariant* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gboolean is_accepting_jobs = FALSE;
	GVariant* _tmp23_;
	GVariant* _tmp24_;
	gboolean _tmp25_;
	const gchar* _tmp26_;
	GQuark _tmp28_ = 0U;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label0 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label1 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label2 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label3 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label4 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label5 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label6 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label7 = 0;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp27_label8 = 0;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (self != NULL);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (signal_name != NULL);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (parameters != NULL);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp0_ = g_variant_get_child_value (parameters, (gsize) 0);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp1_ = _tmp0_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp2_ = g_variant_get_string (_tmp1_, NULL);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp4_ = _tmp3_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp1_);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	text = _tmp4_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp5_ = g_variant_get_child_value (parameters, (gsize) 1);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp6_ = _tmp5_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp7_ = g_variant_get_string (_tmp6_, NULL);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp9_ = _tmp8_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp6_);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	printer_uri = _tmp9_;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp10_ = g_variant_get_child_value (parameters, (gsize) 2);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp11_ = _tmp10_;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp12_ = g_variant_get_string (_tmp11_, NULL);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp13_ = g_strdup (_tmp12_);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp14_ = _tmp13_;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp11_);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	name = _tmp14_;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp15_ = g_variant_get_child_value (parameters, (gsize) 3);
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp16_ = _tmp15_;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp17_ = g_variant_get_uint32 (_tmp16_);
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp16_);
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	state = _tmp17_;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp18_ = g_variant_get_child_value (parameters, (gsize) 4);
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp19_ = _tmp18_;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp20_ = g_variant_get_string (_tmp19_, NULL);
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp21_ = g_strdup (_tmp20_);
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp22_ = _tmp21_;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp19_);
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	state_reasons = _tmp22_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp23_ = g_variant_get_child_value (parameters, (gsize) 5);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp24_ = _tmp23_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp25_ = g_variant_get_boolean (_tmp24_);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp24_);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	is_accepting_jobs = _tmp25_;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp26_ = signal_name;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp28_ = (NULL == _tmp26_) ? 0 : g_quark_from_string (_tmp26_);
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (_tmp28_ == ((0 != _tmp27_label0) ? _tmp27_label0 : (_tmp27_label0 = g_quark_from_static_string ("PrinterRestarted")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 873 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp29_;
				const gchar* _tmp30_;
				const gchar* _tmp31_;
				guint32 _tmp32_;
				const gchar* _tmp33_;
				gboolean _tmp34_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp29_ = text;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp30_ = printer_uri;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp31_ = name;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp32_ = state;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp33_ = state_reasons;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp34_ = is_accepting_jobs;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_RESTARTED_SIGNAL], 0, _tmp29_, _tmp30_, _tmp31_, _tmp32_, _tmp33_, _tmp34_);
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 898 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label1) ? _tmp27_label1 : (_tmp27_label1 = g_quark_from_static_string ("PrinterShutdown")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 904 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp35_;
				const gchar* _tmp36_;
				const gchar* _tmp37_;
				guint32 _tmp38_;
				const gchar* _tmp39_;
				gboolean _tmp40_;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp35_ = text;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp36_ = printer_uri;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp37_ = name;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp38_ = state;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp39_ = state_reasons;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp40_ = is_accepting_jobs;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_SHUTDOWN_SIGNAL], 0, _tmp35_, _tmp36_, _tmp37_, _tmp38_, _tmp39_, _tmp40_);
#line 124 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 929 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label2) ? _tmp27_label2 : (_tmp27_label2 = g_quark_from_static_string ("PrinterStopped")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 935 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp41_;
				const gchar* _tmp42_;
				const gchar* _tmp43_;
				guint32 _tmp44_;
				const gchar* _tmp45_;
				gboolean _tmp46_;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp41_ = text;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp42_ = printer_uri;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp43_ = name;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp44_ = state;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp45_ = state_reasons;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp46_ = is_accepting_jobs;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_STOPPED_SIGNAL], 0, _tmp41_, _tmp42_, _tmp43_, _tmp44_, _tmp45_, _tmp46_);
#line 127 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 960 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label3) ? _tmp27_label3 : (_tmp27_label3 = g_quark_from_static_string ("PrinterStateChanged")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 966 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp47_;
				const gchar* _tmp48_;
				const gchar* _tmp49_;
				guint32 _tmp50_;
				const gchar* _tmp51_;
				gboolean _tmp52_;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp47_ = text;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp48_ = printer_uri;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp49_ = name;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp50_ = state;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp51_ = state_reasons;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp52_ = is_accepting_jobs;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_STATE_CHANGED_SIGNAL], 0, _tmp47_, _tmp48_, _tmp49_, _tmp50_, _tmp51_, _tmp52_);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 991 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label4) ? _tmp27_label4 : (_tmp27_label4 = g_quark_from_static_string ("PrinterFinishingsChanged")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 997 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp53_;
				const gchar* _tmp54_;
				const gchar* _tmp55_;
				guint32 _tmp56_;
				const gchar* _tmp57_;
				gboolean _tmp58_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp53_ = text;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp54_ = printer_uri;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp55_ = name;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp56_ = state;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp57_ = state_reasons;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp58_ = is_accepting_jobs;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_FINISHINGS_CHANGED_SIGNAL], 0, _tmp53_, _tmp54_, _tmp55_, _tmp56_, _tmp57_, _tmp58_);
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1022 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label5) ? _tmp27_label5 : (_tmp27_label5 = g_quark_from_static_string ("PrinterMediaChanged")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1028 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp59_;
				const gchar* _tmp60_;
				const gchar* _tmp61_;
				guint32 _tmp62_;
				const gchar* _tmp63_;
				gboolean _tmp64_;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp59_ = text;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp60_ = printer_uri;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp61_ = name;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp62_ = state;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp63_ = state_reasons;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp64_ = is_accepting_jobs;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_MEDIA_CHANGED_SIGNAL], 0, _tmp59_, _tmp60_, _tmp61_, _tmp62_, _tmp63_, _tmp64_);
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1053 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label6) ? _tmp27_label6 : (_tmp27_label6 = g_quark_from_static_string ("PrinterAdded")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1059 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp65_;
				const gchar* _tmp66_;
				const gchar* _tmp67_;
				guint32 _tmp68_;
				const gchar* _tmp69_;
				gboolean _tmp70_;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp65_ = text;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp66_ = printer_uri;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp67_ = name;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp68_ = state;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp69_ = state_reasons;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp70_ = is_accepting_jobs;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_ADDED_SIGNAL], 0, _tmp65_, _tmp66_, _tmp67_, _tmp68_, _tmp69_, _tmp70_);
#line 139 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1084 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label7) ? _tmp27_label7 : (_tmp27_label7 = g_quark_from_static_string ("PrinterDeleted")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1090 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp71_;
				const gchar* _tmp72_;
				const gchar* _tmp73_;
				guint32 _tmp74_;
				const gchar* _tmp75_;
				gboolean _tmp76_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp71_ = text;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp72_ = printer_uri;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp73_ = name;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp74_ = state;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp75_ = state_reasons;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp76_ = is_accepting_jobs;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_DELETED_SIGNAL], 0, _tmp71_, _tmp72_, _tmp73_, _tmp74_, _tmp75_, _tmp76_);
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1115 "CUPSNotifier.c"
			}
		}
	} else if (_tmp28_ == ((0 != _tmp27_label8) ? _tmp27_label8 : (_tmp27_label8 = g_quark_from_static_string ("PrinterModified")))) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1121 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp77_;
				const gchar* _tmp78_;
				const gchar* _tmp79_;
				guint32 _tmp80_;
				const gchar* _tmp81_;
				gboolean _tmp82_;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp77_ = text;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp78_ = printer_uri;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp79_ = name;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp80_ = state;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp81_ = state_reasons;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp82_ = is_accepting_jobs;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_PRINTER_MODIFIED_SIGNAL], 0, _tmp77_, _tmp78_, _tmp79_, _tmp80_, _tmp81_, _tmp82_);
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1146 "CUPSNotifier.c"
			}
		}
	} else {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1152 "CUPSNotifier.c"
			default:
			{
#line 147 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_debug ("CUPSNotifier.vala:147: Signal `%s` isn't handled by the plug", signal_name);
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1159 "CUPSNotifier.c"
			}
		}
	}
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (state_reasons);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (name);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (printer_uri);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (text);
#line 1171 "CUPSNotifier.c"
}


static void
cups_notifier_send_job_event (CupsNotifier* self,
                              const gchar* signal_name,
                              GVariant* parameters)
{
	gchar* text = NULL;
	GVariant* _tmp0_;
	GVariant* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* printer_uri = NULL;
	GVariant* _tmp5_;
	GVariant* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* name = NULL;
	GVariant* _tmp10_;
	GVariant* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	guint32 state = 0U;
	GVariant* _tmp15_;
	GVariant* _tmp16_;
	guint32 _tmp17_;
	gchar* state_reasons = NULL;
	GVariant* _tmp18_;
	GVariant* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gboolean is_accepting_jobs = FALSE;
	GVariant* _tmp23_;
	GVariant* _tmp24_;
	gboolean _tmp25_;
	guint32 job_id = 0U;
	GVariant* _tmp26_;
	GVariant* _tmp27_;
	guint32 _tmp28_;
	guint32 job_state = 0U;
	GVariant* _tmp29_;
	GVariant* _tmp30_;
	guint32 _tmp31_;
	gchar* job_state_reason = NULL;
	GVariant* _tmp32_;
	GVariant* _tmp33_;
	const gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	gchar* job_name = NULL;
	GVariant* _tmp37_;
	GVariant* _tmp38_;
	const gchar* _tmp39_;
	gchar* _tmp40_;
	gchar* _tmp41_;
	guint32 job_impressions_completed = 0U;
	GVariant* _tmp42_;
	GVariant* _tmp43_;
	guint32 _tmp44_;
	const gchar* _tmp45_;
	GQuark _tmp47_ = 0U;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label0 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label1 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label2 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label3 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label4 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label5 = 0;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	static GQuark _tmp46_label6 = 0;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (self != NULL);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (signal_name != NULL);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (parameters != NULL);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp0_ = g_variant_get_child_value (parameters, (gsize) 0);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp1_ = _tmp0_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp2_ = g_variant_get_string (_tmp1_, NULL);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp4_ = _tmp3_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp1_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	text = _tmp4_;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp5_ = g_variant_get_child_value (parameters, (gsize) 1);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp6_ = _tmp5_;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp7_ = g_variant_get_string (_tmp6_, NULL);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp9_ = _tmp8_;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp6_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	printer_uri = _tmp9_;
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp10_ = g_variant_get_child_value (parameters, (gsize) 2);
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp11_ = _tmp10_;
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp12_ = g_variant_get_string (_tmp11_, NULL);
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp13_ = g_strdup (_tmp12_);
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp14_ = _tmp13_;
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp11_);
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	name = _tmp14_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp15_ = g_variant_get_child_value (parameters, (gsize) 3);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp16_ = _tmp15_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp17_ = g_variant_get_uint32 (_tmp16_);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp16_);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	state = _tmp17_;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp18_ = g_variant_get_child_value (parameters, (gsize) 4);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp19_ = _tmp18_;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp20_ = g_variant_get_string (_tmp19_, NULL);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp21_ = g_strdup (_tmp20_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp22_ = _tmp21_;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp19_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	state_reasons = _tmp22_;
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp23_ = g_variant_get_child_value (parameters, (gsize) 5);
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp24_ = _tmp23_;
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp25_ = g_variant_get_boolean (_tmp24_);
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp24_);
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	is_accepting_jobs = _tmp25_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp26_ = g_variant_get_child_value (parameters, (gsize) 6);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp27_ = _tmp26_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp28_ = g_variant_get_uint32 (_tmp27_);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp27_);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	job_id = _tmp28_;
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp29_ = g_variant_get_child_value (parameters, (gsize) 7);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp30_ = _tmp29_;
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp31_ = g_variant_get_uint32 (_tmp30_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp30_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	job_state = _tmp31_;
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp32_ = g_variant_get_child_value (parameters, (gsize) 8);
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp33_ = _tmp32_;
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp34_ = g_variant_get_string (_tmp33_, NULL);
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp35_ = g_strdup (_tmp34_);
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp36_ = _tmp35_;
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp33_);
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	job_state_reason = _tmp36_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp37_ = g_variant_get_child_value (parameters, (gsize) 9);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp38_ = _tmp37_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp39_ = g_variant_get_string (_tmp38_, NULL);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp40_ = g_strdup (_tmp39_);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp41_ = _tmp40_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp38_);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	job_name = _tmp41_;
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp42_ = g_variant_get_child_value (parameters, (gsize) 10);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp43_ = _tmp42_;
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp44_ = g_variant_get_uint32 (_tmp43_);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_variant_unref0 (_tmp43_);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	job_impressions_completed = _tmp44_;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp45_ = signal_name;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_tmp47_ = (NULL == _tmp45_) ? 0 : g_quark_from_string (_tmp45_);
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (_tmp47_ == ((0 != _tmp46_label0) ? _tmp46_label0 : (_tmp46_label0 = g_quark_from_static_string ("JobCreated")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1400 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp48_;
				const gchar* _tmp49_;
				const gchar* _tmp50_;
				guint32 _tmp51_;
				const gchar* _tmp52_;
				gboolean _tmp53_;
				guint32 _tmp54_;
				guint32 _tmp55_;
				const gchar* _tmp56_;
				const gchar* _tmp57_;
				guint32 _tmp58_;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp48_ = text;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp49_ = printer_uri;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp50_ = name;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp51_ = state;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp52_ = state_reasons;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp53_ = is_accepting_jobs;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp54_ = job_id;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp55_ = job_state;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp56_ = job_state_reason;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp57_ = job_name;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp58_ = job_impressions_completed;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_CREATED_SIGNAL], 0, _tmp48_, _tmp49_, _tmp50_, _tmp51_, _tmp52_, _tmp53_, _tmp54_, _tmp55_, _tmp56_, _tmp57_, _tmp58_);
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1440 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label1) ? _tmp46_label1 : (_tmp46_label1 = g_quark_from_static_string ("JobCompleted")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1446 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp59_;
				const gchar* _tmp60_;
				const gchar* _tmp61_;
				guint32 _tmp62_;
				const gchar* _tmp63_;
				gboolean _tmp64_;
				guint32 _tmp65_;
				guint32 _tmp66_;
				const gchar* _tmp67_;
				const gchar* _tmp68_;
				guint32 _tmp69_;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp59_ = text;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp60_ = printer_uri;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp61_ = name;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp62_ = state;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp63_ = state_reasons;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp64_ = is_accepting_jobs;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp65_ = job_id;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp66_ = job_state;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp67_ = job_state_reason;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp68_ = job_name;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp69_ = job_impressions_completed;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_COMPLETED_SIGNAL], 0, _tmp59_, _tmp60_, _tmp61_, _tmp62_, _tmp63_, _tmp64_, _tmp65_, _tmp66_, _tmp67_, _tmp68_, _tmp69_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1486 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label2) ? _tmp46_label2 : (_tmp46_label2 = g_quark_from_static_string ("JobStopped")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1492 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp70_;
				const gchar* _tmp71_;
				const gchar* _tmp72_;
				guint32 _tmp73_;
				const gchar* _tmp74_;
				gboolean _tmp75_;
				guint32 _tmp76_;
				guint32 _tmp77_;
				const gchar* _tmp78_;
				const gchar* _tmp79_;
				guint32 _tmp80_;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp70_ = text;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp71_ = printer_uri;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp72_ = name;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp73_ = state;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp74_ = state_reasons;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp75_ = is_accepting_jobs;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp76_ = job_id;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp77_ = job_state;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp78_ = job_state_reason;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp79_ = job_name;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp80_ = job_impressions_completed;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_STOPPED_SIGNAL], 0, _tmp70_, _tmp71_, _tmp72_, _tmp73_, _tmp74_, _tmp75_, _tmp76_, _tmp77_, _tmp78_, _tmp79_, _tmp80_);
#line 173 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1532 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label3) ? _tmp46_label3 : (_tmp46_label3 = g_quark_from_static_string ("JobConfigChanged")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1538 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp81_;
				const gchar* _tmp82_;
				const gchar* _tmp83_;
				guint32 _tmp84_;
				const gchar* _tmp85_;
				gboolean _tmp86_;
				guint32 _tmp87_;
				guint32 _tmp88_;
				const gchar* _tmp89_;
				const gchar* _tmp90_;
				guint32 _tmp91_;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp81_ = text;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp82_ = printer_uri;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp83_ = name;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp84_ = state;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp85_ = state_reasons;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp86_ = is_accepting_jobs;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp87_ = job_id;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp88_ = job_state;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp89_ = job_state_reason;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp90_ = job_name;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp91_ = job_impressions_completed;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_CONFIG_CHANGED_SIGNAL], 0, _tmp81_, _tmp82_, _tmp83_, _tmp84_, _tmp85_, _tmp86_, _tmp87_, _tmp88_, _tmp89_, _tmp90_, _tmp91_);
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1578 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label4) ? _tmp46_label4 : (_tmp46_label4 = g_quark_from_static_string ("JobProgress")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1584 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp92_;
				const gchar* _tmp93_;
				const gchar* _tmp94_;
				guint32 _tmp95_;
				const gchar* _tmp96_;
				gboolean _tmp97_;
				guint32 _tmp98_;
				guint32 _tmp99_;
				const gchar* _tmp100_;
				const gchar* _tmp101_;
				guint32 _tmp102_;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp92_ = text;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp93_ = printer_uri;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp94_ = name;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp95_ = state;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp96_ = state_reasons;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp97_ = is_accepting_jobs;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp98_ = job_id;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp99_ = job_state;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp100_ = job_state_reason;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp101_ = job_name;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp102_ = job_impressions_completed;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_PROGRESS_SIGNAL], 0, _tmp92_, _tmp93_, _tmp94_, _tmp95_, _tmp96_, _tmp97_, _tmp98_, _tmp99_, _tmp100_, _tmp101_, _tmp102_);
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1624 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label5) ? _tmp46_label5 : (_tmp46_label5 = g_quark_from_static_string ("JobState")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1630 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp103_;
				const gchar* _tmp104_;
				const gchar* _tmp105_;
				guint32 _tmp106_;
				const gchar* _tmp107_;
				gboolean _tmp108_;
				guint32 _tmp109_;
				guint32 _tmp110_;
				const gchar* _tmp111_;
				const gchar* _tmp112_;
				guint32 _tmp113_;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp103_ = text;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp104_ = printer_uri;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp105_ = name;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp106_ = state;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp107_ = state_reasons;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp108_ = is_accepting_jobs;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp109_ = job_id;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp110_ = job_state;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp111_ = job_state_reason;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp112_ = job_name;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp113_ = job_impressions_completed;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_STATE_SIGNAL], 0, _tmp103_, _tmp104_, _tmp105_, _tmp106_, _tmp107_, _tmp108_, _tmp109_, _tmp110_, _tmp111_, _tmp112_, _tmp113_);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1670 "CUPSNotifier.c"
			}
		}
	} else if (_tmp47_ == ((0 != _tmp46_label6) ? _tmp46_label6 : (_tmp46_label6 = g_quark_from_static_string ("JobStateChanged")))) {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1676 "CUPSNotifier.c"
			default:
			{
				const gchar* _tmp114_;
				const gchar* _tmp115_;
				const gchar* _tmp116_;
				guint32 _tmp117_;
				const gchar* _tmp118_;
				gboolean _tmp119_;
				guint32 _tmp120_;
				guint32 _tmp121_;
				const gchar* _tmp122_;
				const gchar* _tmp123_;
				guint32 _tmp124_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp114_ = text;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp115_ = printer_uri;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp116_ = name;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp117_ = state;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp118_ = state_reasons;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp119_ = is_accepting_jobs;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp120_ = job_id;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp121_ = job_state;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp122_ = job_state_reason;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp123_ = job_name;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				_tmp124_ = job_impressions_completed;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_signal_emit (self, cups_notifier_signals[CUPS_NOTIFIER_JOB_STATE_CHANGED_SIGNAL], 0, _tmp114_, _tmp115_, _tmp116_, _tmp117_, _tmp118_, _tmp119_, _tmp120_, _tmp121_, _tmp122_, _tmp123_, _tmp124_);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1716 "CUPSNotifier.c"
			}
		}
	} else {
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		switch (0) {
#line 1722 "CUPSNotifier.c"
			default:
			{
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				g_debug ("CUPSNotifier.vala:187: Signal `%s` isn't handled by the plug", signal_name);
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
				break;
#line 1729 "CUPSNotifier.c"
			}
		}
	}
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (job_name);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (job_state_reason);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (state_reasons);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (name);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (printer_uri);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_free0 (text);
#line 1745 "CUPSNotifier.c"
}


static void
g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN (GClosure * closure,
                                                                        GValue * return_value,
                                                                        guint n_param_values,
                                                                        const GValue * param_values,
                                                                        gpointer invocation_hint,
                                                                        gpointer marshal_data)
{
	typedef void (*GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN) (gpointer data1, const char* arg_1, const char* arg_2, const char* arg_3, guint32 arg_4, const char* arg_5, gboolean arg_6, gpointer data2);
	register GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (n_param_values == 7);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data1 = closure->data;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data2 = param_values->data[0].v_pointer;
#line 1771 "CUPSNotifier.c"
	} else {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data1 = param_values->data[0].v_pointer;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data2 = closure->data;
#line 1777 "CUPSNotifier.c"
	}
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	callback = (GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN) (marshal_data ? marshal_data : cc->callback);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_string (param_values + 2), g_value_get_string (param_values + 3), g_value_get_uint (param_values + 4), g_value_get_string (param_values + 5), g_value_get_boolean (param_values + 6), data2);
#line 1783 "CUPSNotifier.c"
}


static void
g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT (GClosure * closure,
                                                                                                     GValue * return_value,
                                                                                                     guint n_param_values,
                                                                                                     const GValue * param_values,
                                                                                                     gpointer invocation_hint,
                                                                                                     gpointer marshal_data)
{
	typedef void (*GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT) (gpointer data1, const char* arg_1, const char* arg_2, const char* arg_3, guint32 arg_4, const char* arg_5, gboolean arg_6, guint32 arg_7, guint32 arg_8, const char* arg_9, const char* arg_10, guint32 arg_11, gpointer data2);
	register GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_return_if_fail (n_param_values == 12);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data1 = closure->data;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data2 = param_values->data[0].v_pointer;
#line 1809 "CUPSNotifier.c"
	} else {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data1 = param_values->data[0].v_pointer;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
		data2 = closure->data;
#line 1815 "CUPSNotifier.c"
	}
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	callback = (GMarshalFunc_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT) (marshal_data ? marshal_data : cc->callback);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_string (param_values + 2), g_value_get_string (param_values + 3), g_value_get_uint (param_values + 4), g_value_get_string (param_values + 5), g_value_get_boolean (param_values + 6), g_value_get_uint (param_values + 7), g_value_get_uint (param_values + 8), g_value_get_string (param_values + 9), g_value_get_string (param_values + 10), g_value_get_uint (param_values + 11), data2);
#line 1821 "CUPSNotifier.c"
}


static void
cups_notifier_class_init (CupsNotifierClass * klass)
{
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	g_type_class_add_private (klass, sizeof (CupsNotifierPrivate));
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	G_OBJECT_CLASS (klass)->finalize = cups_notifier_finalize;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_SERVER_RESTARTED_SIGNAL] = g_signal_new ("server-restarted", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_SERVER_STARTED_SIGNAL] = g_signal_new ("server-started", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_SERVER_STOPPED_SIGNAL] = g_signal_new ("server-stopped", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_SERVER_AUDIT_SIGNAL] = g_signal_new ("server-audit", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_RESTARTED_SIGNAL] = g_signal_new ("printer-restarted", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_SHUTDOWN_SIGNAL] = g_signal_new ("printer-shutdown", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_STOPPED_SIGNAL] = g_signal_new ("printer-stopped", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_STATE_CHANGED_SIGNAL] = g_signal_new ("printer-state-changed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_FINISHINGS_CHANGED_SIGNAL] = g_signal_new ("printer-finishings-changed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_MEDIA_CHANGED_SIGNAL] = g_signal_new ("printer-media-changed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_ADDED_SIGNAL] = g_signal_new ("printer-added", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_DELETED_SIGNAL] = g_signal_new ("printer-deleted", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_PRINTER_MODIFIED_SIGNAL] = g_signal_new ("printer-modified", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN, G_TYPE_NONE, 6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_CREATED_SIGNAL] = g_signal_new ("job-created", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_COMPLETED_SIGNAL] = g_signal_new ("job-completed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_STOPPED_SIGNAL] = g_signal_new ("job-stopped", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_CONFIG_CHANGED_SIGNAL] = g_signal_new ("job-config-changed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_PROGRESS_SIGNAL] = g_signal_new ("job-progress", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_STATE_SIGNAL] = g_signal_new ("job-state", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	cups_notifier_signals[CUPS_NOTIFIER_JOB_STATE_CHANGED_SIGNAL] = g_signal_new ("job-state-changed", CUPS_TYPE_NOTIFIER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING_STRING_UINT_STRING_BOOLEAN_UINT_UINT_STRING_STRING_UINT, G_TYPE_NONE, 11, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_BOOLEAN, G_TYPE_UINT, G_TYPE_UINT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT);
#line 1874 "CUPSNotifier.c"
}


static void
cups_notifier_instance_init (CupsNotifier * self)
{
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	self->priv = CUPS_NOTIFIER_GET_PRIVATE (self);
#line 1883 "CUPSNotifier.c"
}


static void
cups_notifier_finalize (GObject * obj)
{
	CupsNotifier * self;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, CUPS_TYPE_NOTIFIER, CupsNotifier);
#line 61 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	_g_object_unref0 (self->priv->dbus_notifier);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/CUPSNotifier.vala"
	G_OBJECT_CLASS (cups_notifier_parent_class)->finalize (obj);
#line 1897 "CUPSNotifier.c"
}


GType
cups_notifier_get_type (void)
{
	static volatile gsize cups_notifier_type_id__volatile = 0;
	if (g_once_init_enter (&cups_notifier_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CupsNotifierClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) cups_notifier_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (CupsNotifier), 0, (GInstanceInitFunc) cups_notifier_instance_init, NULL };
		GType cups_notifier_type_id;
		cups_notifier_type_id = g_type_register_static (G_TYPE_OBJECT, "CupsNotifier", &g_define_type_info, 0);
		g_once_init_leave (&cups_notifier_type_id__volatile, cups_notifier_type_id);
	}
	return cups_notifier_type_id__volatile;
}



