/* OptionsPage.c generated by valac 0.39.7, the Vala compiler
 * generated from OptionsPage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street - Fifth Floor,
 * Boston, MA 02110-1301, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <cups/cups.h>


#define PRINTERS_TYPE_OPTIONS_PAGE (printers_options_page_get_type ())
#define PRINTERS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage))
#define PRINTERS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))
#define PRINTERS_IS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_IS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_OPTIONS_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))

typedef struct _PrintersOptionsPage PrintersOptionsPage;
typedef struct _PrintersOptionsPageClass PrintersOptionsPageClass;
typedef struct _PrintersOptionsPagePrivate PrintersOptionsPagePrivate;

#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;
enum  {
	PRINTERS_OPTIONS_PAGE_0_PROPERTY,
	PRINTERS_OPTIONS_PAGE_NUM_PROPERTIES
};
static GParamSpec* printers_options_page_properties[PRINTERS_OPTIONS_PAGE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block12Data Block12Data;
typedef struct _Block13Data Block13Data;
typedef struct _Block14Data Block14Data;
#define __vala_GtkPaperSize_free0(var) ((var == NULL) ? NULL : (var = (_vala_GtkPaperSize_free (var), NULL)))
typedef struct _Block15Data Block15Data;
typedef struct _Block16Data Block16Data;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block17Data Block17Data;

struct _PrintersOptionsPage {
	GtkGrid parent_instance;
	PrintersOptionsPagePrivate * priv;
};

struct _PrintersOptionsPageClass {
	GtkGridClass parent_class;
};

struct _PrintersOptionsPagePrivate {
	PrintersPrinter* printer;
	gint row_index;
};

struct _Block12Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkSwitch* two_switch;
};

struct _Block13Data {
	int _ref_count_;
	Block12Data * _data12_;
	GraniteWidgetsModeButton* two_mode;
};

struct _Block14Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block15Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block16Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block17Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};


static gpointer printers_options_page_parent_class = NULL;

GType printers_options_page_get_type (void) G_GNUC_CONST;
GType printers_printer_get_type (void) G_GNUC_CONST;
#define PRINTERS_OPTIONS_PAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPagePrivate))
PrintersOptionsPage* printers_options_page_new (PrintersPrinter* printer);
PrintersOptionsPage* printers_options_page_construct (GType object_type,
                                                      PrintersPrinter* printer);
static void printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self);
static void printers_options_page_build_two_sided (PrintersOptionsPage* self);
static void printers_options_page_build_orientation (PrintersOptionsPage* self);
static void printers_options_page_build_page_size (PrintersOptionsPage* self);
static void printers_options_page_build_output_bins (PrintersOptionsPage* self);
static void printers_options_page_build_print_color_mode (PrintersOptionsPage* self);
static void printers_options_page_build_print_quality (PrintersOptionsPage* self);
static void printers_options_page_build_media_source (PrintersOptionsPage* self);
void printers_printer_get_all (PrintersPrinter* self);
gint printers_printer_get_pages_per_sheet (PrintersPrinter* self,
                                           GeeTreeSet* pages_per_sheet);
static void ___lambda28_ (PrintersOptionsPage* self,
                   GtkWidget* w);
void printers_printer_set_default_pages (PrintersPrinter* self,
                                         const gchar* new_default);
static void ____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender,
                                                             GtkWidget* widget,
                                                             gpointer self);
gchar* printers_printer_get_sides (PrintersPrinter* self,
                                   GeeTreeSet* sides);
static Block12Data* block12_data_ref (Block12Data* _data12_);
static void block12_data_unref (void * _userdata_);
static Block13Data* block13_data_ref (Block13Data* _data13_);
static void block13_data_unref (void * _userdata_);
static void ____lambda29_ (Block13Data* _data13_);
void printers_printer_set_default_side (PrintersPrinter* self,
                                        const gchar* new_default);
static void _____lambda29__g_object_notify (GObject* _sender,
                                     GParamSpec* pspec,
                                     gpointer self);
static void ____lambda30_ (Block13Data* _data13_);
static void _____lambda30__g_object_notify (GObject* _sender,
                                     GParamSpec* pspec,
                                     gpointer self);
static void ____lambda31_ (Block12Data* _data12_);
static void _____lambda31__g_object_notify (GObject* _sender,
                                     GParamSpec* pspec,
                                     gpointer self);
gint printers_printer_get_orientations (PrintersPrinter* self,
                                        GeeTreeSet* orientations);
static Block14Data* block14_data_ref (Block14Data* _data14_);
static void block14_data_unref (void * _userdata_);
static void ___lambda32_ (Block14Data* _data14_);
void printers_printer_set_default_orientation (PrintersPrinter* self,
                                               const gchar* new_default);
static void ____lambda32__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
gchar* printers_printer_get_media_sizes (PrintersPrinter* self,
                                         GeeTreeSet* media_sizes);
static void _vala_GtkPaperSize_free (GtkPaperSize* self);
static void ___lambda33_ (PrintersOptionsPage* self);
static void ____lambda33__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
gchar* printers_printer_get_print_color_modes (PrintersPrinter* self,
                                               GeeTreeSet* print_color_modes);
static Block15Data* block15_data_ref (Block15Data* _data15_);
static void block15_data_unref (void * _userdata_);
static void ___lambda35_ (Block15Data* _data15_);
void printers_printer_set_default_print_color_mode (PrintersPrinter* self,
                                                    const gchar* new_default);
static void ____lambda35__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
gchar* printers_printer_get_output_bins (PrintersPrinter* self,
                                         GeeTreeSet* output_bins);
static Block16Data* block16_data_ref (Block16Data* _data16_);
static void block16_data_unref (void * _userdata_);
static void ___lambda34_ (Block16Data* _data16_);
void printers_printer_set_default_output_bin (PrintersPrinter* self,
                                              const gchar* new_default);
static void ____lambda34__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
gint printers_printer_get_print_qualities (PrintersPrinter* self,
                                           GeeTreeSet* print_qualities);
gchar* printers_printer_get_media_sources (PrintersPrinter* self,
                                           GeeTreeSet* media_sources);
static Block17Data* block17_data_ref (Block17Data* _data17_);
static void block17_data_unref (void * _userdata_);
static void ___lambda36_ (Block17Data* _data17_);
void printers_printer_set_default_media_source (PrintersPrinter* self,
                                                const gchar* new_default);
static void ____lambda36__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
static void printers_options_page_finalize (GObject * obj);


static gpointer
_g_object_ref0 (gpointer self)
{
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 226 "OptionsPage.c"
}


PrintersOptionsPage*
printers_options_page_construct (GType object_type,
                                 PrintersPrinter* printer)
{
	PrintersOptionsPage * self = NULL;
	PrintersPrinter* _tmp0_;
	GtkGrid* expand_left = NULL;
	GtkGrid* _tmp1_;
	GtkGrid* expand_right = NULL;
	GtkGrid* _tmp2_;
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_val_if_fail (printer != NULL, NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = (PrintersOptionsPage*) g_object_new (object_type, NULL);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = _g_object_ref0 (printer);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self->priv->printer = _tmp0_;
#line 29 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 30 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_object_ref_sink (_tmp1_);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	expand_left = _tmp1_;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_left, TRUE);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_object_ref_sink (_tmp2_);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	expand_right = _tmp2_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_right, TRUE);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_left, 0, 0, 1, 1);
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_right, 3, 0, 1, 1);
#line 40 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_pages_per_sheet (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_two_sided (self);
#line 42 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_orientation (self);
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_page_size (self);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_output_bins (self);
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_print_color_mode (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_print_quality (self);
#line 47 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_build_media_source (self);
#line 48 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_get_all (printer);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (expand_right);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (expand_left);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return self;
#line 302 "OptionsPage.c"
}


PrintersOptionsPage*
printers_options_page_new (PrintersPrinter* printer)
{
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return printers_options_page_construct (PRINTERS_TYPE_OPTIONS_PAGE, printer);
#line 311 "OptionsPage.c"
}


static void
___lambda28_ (PrintersOptionsPage* self,
              GtkWidget* w)
{
	GtkLabel* label = NULL;
	GtkLabel* _tmp0_;
	PrintersPrinter* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (w != NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (w, gtk_label_get_type ()) ? ((GtkLabel*) w) : NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	label = _tmp0_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = gtk_label_get_label (label);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = _tmp2_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_set_default_pages (_tmp1_, _tmp3_);
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (label);
#line 340 "OptionsPage.c"
}


static void
____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender,
                                                        GtkWidget* widget,
                                                        gpointer self)
{
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda28_ ((PrintersOptionsPage*) self, widget);
#line 351 "OptionsPage.c"
}


static void
printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self)
{
	GeeTreeSet* pages_per_sheet = NULL;
	GeeTreeSet* _tmp0_;
	gint default_page = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	GeeTreeSet* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	pages_per_sheet = _tmp0_;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = pages_per_sheet;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_page = printers_printer_get_pages_per_sheet (_tmp1_, _tmp2_);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = pages_per_sheet;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = _tmp4_;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp5_ > 1) {
#line 386 "OptionsPage.c"
		GraniteWidgetsModeButton* box = NULL;
		GraniteWidgetsModeButton* _tmp6_;
		GraniteWidgetsModeButton* _tmp21_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp22_;
		GtkLabel* _tmp23_;
		GtkLabel* _tmp24_;
		gint _tmp25_;
		GraniteWidgetsModeButton* _tmp26_;
		gint _tmp27_;
		gint _tmp28_;
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp6_ = granite_widgets_mode_button_new ();
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp6_);
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		box = _tmp6_;
#line 404 "OptionsPage.c"
		{
			GeeIterator* _page_it = NULL;
			GeeTreeSet* _tmp7_;
			GeeIterator* _tmp8_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp7_ = pages_per_sheet;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp7_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_page_it = _tmp8_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 417 "OptionsPage.c"
				GeeIterator* _tmp9_;
				gint page = 0;
				GeeIterator* _tmp10_;
				gpointer _tmp11_;
				gint index = 0;
				GraniteWidgetsModeButton* _tmp12_;
				gint _tmp13_;
				gchar* _tmp14_;
				gchar* _tmp15_;
				gint _tmp16_;
				gint _tmp17_;
				gint _tmp18_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp9_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp9_)) {
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 436 "OptionsPage.c"
				}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_get (_tmp10_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				page = (gint) ((gintptr) _tmp11_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = box;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp13_ = page;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp14_ = g_strdup_printf ("%d", _tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp16_ = granite_widgets_mode_button_append_text (_tmp12_, _tmp15_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_g_free0 (_tmp15_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				index = _tmp16_;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp17_ = page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp18_ = default_page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (_tmp17_ == _tmp18_) {
#line 464 "OptionsPage.c"
					GraniteWidgetsModeButton* _tmp19_;
					gint _tmp20_;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					_tmp19_ = box;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					_tmp20_ = index;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					granite_widgets_mode_button_set_selected (_tmp19_, _tmp20_);
#line 473 "OptionsPage.c"
				}
			}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_page_it);
#line 478 "OptionsPage.c"
		}
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp21_ = box;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_object (_tmp21_, "mode-changed", (GCallback) ____lambda28__granite_widgets_mode_button_mode_changed, self, 0);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp22_ = (GtkLabel*) gtk_label_new (_ ("Pages per side:"));
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp22_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp22_;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp23_ = label;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp23_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp24_ = label;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp25_ = self->priv->row_index;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp24_, 1, _tmp25_, 1, 1);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp26_ = box;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp27_ = self->priv->row_index;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp26_, 2, _tmp27_, 1, 1);
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp28_ = self->priv->row_index;
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp28_ + 1;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (box);
#line 514 "OptionsPage.c"
	}
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (pages_per_sheet);
#line 518 "OptionsPage.c"
}


static Block12Data*
block12_data_ref (Block12Data* _data12_)
{
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data12_->_ref_count_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data12_;
#line 529 "OptionsPage.c"
}


static void
block12_data_unref (void * _userdata_)
{
	Block12Data* _data12_;
	_data12_ = (Block12Data*) _userdata_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data12_->_ref_count_)) {
#line 540 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data12_->self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data12_->two_switch);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block12Data, _data12_);
#line 550 "OptionsPage.c"
	}
}


static Block13Data*
block13_data_ref (Block13Data* _data13_)
{
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data13_->_ref_count_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data13_;
#line 562 "OptionsPage.c"
}


static void
block13_data_unref (void * _userdata_)
{
	Block13Data* _data13_;
	_data13_ = (Block13Data*) _userdata_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data13_->_ref_count_)) {
#line 573 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data13_->_data12_->self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data13_->two_mode);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block12_data_unref (_data13_->_data12_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data13_->_data12_ = NULL;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block13Data, _data13_);
#line 585 "OptionsPage.c"
	}
}


static void
____lambda29_ (Block13Data* _data13_)
{
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GraniteWidgetsModeButton* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data12_->self;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = _data13_->two_mode;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = granite_widgets_mode_button_get_selected (_tmp0_);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp2_ == 0) {
#line 610 "OptionsPage.c"
		PrintersPrinter* _tmp3_;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 616 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 623 "OptionsPage.c"
	}
}


static void
_____lambda29__g_object_notify (GObject* _sender,
                                GParamSpec* pspec,
                                gpointer self)
{
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	____lambda29_ (self);
#line 635 "OptionsPage.c"
}


static void
____lambda30_ (Block13Data* _data13_)
{
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data12_->self;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp2_) {
#line 659 "OptionsPage.c"
		GraniteWidgetsModeButton* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp3_ = _data13_->two_mode;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp4_ = granite_widgets_mode_button_get_selected (_tmp3_);
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp5_ = _tmp4_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		if (_tmp5_ == 0) {
#line 671 "OptionsPage.c"
			PrintersPrinter* _tmp6_;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp6_ = self->priv->printer;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp6_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 677 "OptionsPage.c"
		} else {
			PrintersPrinter* _tmp7_;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp7_ = self->priv->printer;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp7_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 684 "OptionsPage.c"
		}
	} else {
		PrintersPrinter* _tmp8_;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp8_ = self->priv->printer;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp8_, CUPS_SIDES_ONE_SIDED);
#line 692 "OptionsPage.c"
	}
}


static void
_____lambda30__g_object_notify (GObject* _sender,
                                GParamSpec* pspec,
                                gpointer self)
{
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	____lambda30_ (self);
#line 704 "OptionsPage.c"
}


static void
____lambda31_ (Block12Data* _data12_)
{
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data12_->self;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp2_) {
#line 725 "OptionsPage.c"
		PrintersPrinter* _tmp3_;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 731 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_ONE_SIDED);
#line 738 "OptionsPage.c"
	}
}


static void
_____lambda31__g_object_notify (GObject* _sender,
                                GParamSpec* pspec,
                                gpointer self)
{
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	____lambda31_ (self);
#line 750 "OptionsPage.c"
}


static void
printers_options_page_build_two_sided (PrintersOptionsPage* self)
{
	GeeTreeSet* sides = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_side = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	sides = _tmp0_;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = sides;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_sides (_tmp1_, _tmp2_);
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_side = _tmp3_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = sides;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 788 "OptionsPage.c"
		Block12Data* _data12_;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp7_;
		GtkGrid* _tmp8_;
		GtkGrid* _tmp9_;
		GtkSwitch* _tmp10_;
		GtkGrid* switch_grid = NULL;
		GtkGrid* _tmp11_;
		GtkGrid* _tmp12_;
		GtkSwitch* _tmp13_;
		GtkGrid* _tmp14_;
		GtkGrid* _tmp15_;
		GtkGrid* _tmp16_;
		GeeTreeSet* _tmp17_;
		gint _tmp18_;
		gint _tmp19_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp42_;
		GtkLabel* _tmp43_;
		GtkLabel* _tmp44_;
		gint _tmp45_;
		GtkGrid* _tmp46_;
		gint _tmp47_;
		gint _tmp48_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data12_ = g_slice_new0 (Block12Data);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data12_->_ref_count_ = 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data12_->self = g_object_ref (self);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp7_ = (GtkGrid*) gtk_grid_new ();
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		grid = _tmp7_;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp8_ = grid;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_set_column_spacing (_tmp8_, 12);
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp9_ = grid;
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_orientable_set_orientation ((GtkOrientable*) _tmp9_, GTK_ORIENTATION_HORIZONTAL);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp10_ = (GtkSwitch*) gtk_switch_new ();
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp10_);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data12_->two_switch = _tmp10_;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp11_ = (GtkGrid*) gtk_grid_new ();
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp11_);
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		switch_grid = _tmp11_;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp12_ = switch_grid;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp13_ = _data12_->two_switch;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp14_ = switch_grid;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp14_, GTK_ALIGN_CENTER);
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp15_ = grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp16_ = switch_grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp15_, (GtkWidget*) _tmp16_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp17_ = sides;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp18_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp17_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp19_ = _tmp18_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		if (_tmp19_ > 2) {
#line 869 "OptionsPage.c"
			Block13Data* _data13_;
			GraniteWidgetsModeButton* _tmp20_;
			GraniteWidgetsModeButton* _tmp21_;
			GtkSwitch* _tmp22_;
			GraniteWidgetsModeButton* _tmp23_;
			GtkGrid* _tmp24_;
			GraniteWidgetsModeButton* _tmp25_;
			GraniteWidgetsModeButton* _tmp26_;
			GraniteWidgetsModeButton* _tmp27_;
			GraniteWidgetsModeButton* _tmp28_;
			const gchar* _tmp29_;
			const gchar* _tmp30_;
			GQuark _tmp32_ = 0U;
			GraniteWidgetsModeButton* _tmp39_;
			GtkSwitch* _tmp40_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_data13_ = g_slice_new0 (Block13Data);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_data13_->_ref_count_ = 1;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_data13_->_data12_ = block12_data_ref (_data12_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp20_ = granite_widgets_mode_button_new ();
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			g_object_ref_sink (_tmp20_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_data13_->two_mode = _tmp20_;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp21_ = _data13_->two_mode;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp22_ = _data12_->two_switch;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp23_ = _data13_->two_mode;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			g_object_bind_property_with_closures ((GObject*) _tmp22_, "active", (GObject*) _tmp23_, "sensitive", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp24_ = grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp25_ = _data13_->two_mode;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp26_ = _data13_->two_mode;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp26_, g_dgettext ("gtk30", "Long Edge (Standard)"));
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp27_ = _data13_->two_mode;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			granite_widgets_mode_button_set_selected (_tmp27_, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp28_ = _data13_->two_mode;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp28_, g_dgettext ("gtk30", "Short Edge (Flip)"));
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp29_ = default_side;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp30_ = _tmp29_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp32_ = (NULL == _tmp30_) ? 0 : g_quark_from_string (_tmp30_);
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			if (_tmp32_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_PORTRAIT)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				switch (0) {
#line 935 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp33_;
						GtkSwitch* _tmp34_;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp33_ = _data13_->two_mode;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp33_, 0);
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp34_ = _data12_->two_switch;
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp34_, TRUE);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 950 "OptionsPage.c"
					}
				}
			} else if (_tmp32_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_LANDSCAPE)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				switch (0) {
#line 956 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp35_;
						GtkSwitch* _tmp36_;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp35_ = _data13_->two_mode;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp35_, 1);
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp36_ = _data12_->two_switch;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp36_, TRUE);
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 971 "OptionsPage.c"
					}
				}
			} else if (_tmp32_ == g_quark_from_string (CUPS_SIDES_ONE_SIDED)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				switch (0) {
#line 977 "OptionsPage.c"
					default:
					{
						GtkSwitch* _tmp37_;
						GraniteWidgetsModeButton* _tmp38_;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp37_ = _data12_->two_switch;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp37_, FALSE);
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp38_ = _data13_->two_mode;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_widget_set_sensitive ((GtkWidget*) _tmp38_, FALSE);
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 992 "OptionsPage.c"
					}
				}
			}
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp39_ = _data13_->two_mode;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp39_, "notify::selected", (GCallback) _____lambda29__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp40_ = _data12_->two_switch;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp40_, "notify::active", (GCallback) _____lambda30__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			block13_data_unref (_data13_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_data13_ = NULL;
#line 1008 "OptionsPage.c"
		} else {
			GtkSwitch* _tmp41_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp41_ = _data12_->two_switch;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp41_, "notify::active", (GCallback) _____lambda31__g_object_notify, block12_data_ref (_data12_), (GClosureNotify) block12_data_unref, 0);
#line 1015 "OptionsPage.c"
		}
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp42_ = (GtkLabel*) gtk_label_new (_ ("Two-sided:"));
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp42_);
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp42_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp43_ = label;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp43_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp44_ = label;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp45_ = self->priv->row_index;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp44_, 1, _tmp45_, 1, 1);
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp46_ = grid;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp47_ = self->priv->row_index;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp46_, 2, _tmp47_, 1, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp48_ = self->priv->row_index;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp48_ + 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (switch_grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block12_data_unref (_data12_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data12_ = NULL;
#line 1053 "OptionsPage.c"
	}
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_free0 (default_side);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (sides);
#line 1059 "OptionsPage.c"
}


static Block14Data*
block14_data_ref (Block14Data* _data14_)
{
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data14_->_ref_count_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data14_;
#line 1070 "OptionsPage.c"
}


static void
block14_data_unref (void * _userdata_)
{
	Block14Data* _data14_;
	_data14_ = (Block14Data*) _userdata_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data14_->_ref_count_)) {
#line 1081 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data14_->self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data14_->combobox);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block14Data, _data14_);
#line 1091 "OptionsPage.c"
	}
}


static void
___lambda32_ (Block14Data* _data14_)
{
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data14_->self;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = _data14_->combobox;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_set_default_orientation (_tmp0_, _tmp2_);
#line 1113 "OptionsPage.c"
}


static void
____lambda32__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda32_ (self);
#line 1123 "OptionsPage.c"
}


static void
printers_options_page_build_orientation (PrintersOptionsPage* self)
{
	GeeTreeSet* orientations = NULL;
	GeeTreeSet* _tmp0_;
	gint default_orientation = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	GeeTreeSet* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	orientations = _tmp0_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = orientations;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_orientation = printers_printer_get_orientations (_tmp1_, _tmp2_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = orientations;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = _tmp4_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp5_ > 1) {
#line 1158 "OptionsPage.c"
		Block14Data* _data14_;
		GtkComboBoxText* _tmp6_;
		GtkComboBoxText* _tmp25_;
		gint _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		GtkComboBoxText* _tmp29_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp30_;
		GtkLabel* _tmp31_;
		GtkLabel* _tmp32_;
		gint _tmp33_;
		GtkComboBoxText* _tmp34_;
		gint _tmp35_;
		gint _tmp36_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data14_ = g_slice_new0 (Block14Data);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data14_->_ref_count_ = 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data14_->self = g_object_ref (self);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp6_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp6_);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data14_->combobox = _tmp6_;
#line 1186 "OptionsPage.c"
		{
			GeeIterator* _orientation_it = NULL;
			GeeTreeSet* _tmp7_;
			GeeIterator* _tmp8_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp7_ = orientations;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp7_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_orientation_it = _tmp8_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 1199 "OptionsPage.c"
				GeeIterator* _tmp9_;
				gint orientation = 0;
				GeeIterator* _tmp10_;
				gpointer _tmp11_;
				gint _tmp12_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp9_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp9_)) {
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 1211 "OptionsPage.c"
				}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_get (_tmp10_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				orientation = (gint) ((gintptr) _tmp11_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = orientation;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				switch (_tmp12_) {
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 3:
#line 1225 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp13_;
						gchar* _tmp14_;
						gchar* _tmp15_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp13_ = _data14_->combobox;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp14_ = g_strdup_printf ("%d", 3);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp15_ = _tmp14_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp13_, _tmp15_, g_dgettext ("gtk30", "Portrait"));
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp15_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 1242 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 4:
#line 1246 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp16_;
						gchar* _tmp17_;
						gchar* _tmp18_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp16_ = _data14_->combobox;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp17_ = g_strdup_printf ("%d", 4);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp18_ = _tmp17_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp16_, _tmp18_, g_dgettext ("gtk30", "Landscape"));
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp18_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 1263 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 5:
#line 1267 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp19_;
						gchar* _tmp20_;
						gchar* _tmp21_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp19_ = _data14_->combobox;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp20_ = g_strdup_printf ("%d", 5);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp21_ = _tmp20_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp19_, _tmp21_, g_dgettext ("gtk30", "Reverse portrait"));
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp21_);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 1284 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 6:
#line 1288 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp22_;
						gchar* _tmp23_;
						gchar* _tmp24_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp22_ = _data14_->combobox;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp23_ = g_strdup_printf ("%d", 6);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp24_ = _tmp23_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp22_, _tmp24_, g_dgettext ("gtk30", "Reverse landscape"));
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp24_);
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 1305 "OptionsPage.c"
					}
					default:
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 1310 "OptionsPage.c"
				}
			}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_orientation_it);
#line 1315 "OptionsPage.c"
		}
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp25_ = _data14_->combobox;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp26_ = default_orientation;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp27_ = g_strdup_printf ("%d", _tmp26_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp28_ = _tmp27_;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp25_, _tmp28_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_free0 (_tmp28_);
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp29_ = _data14_->combobox;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp29_, "changed", (GCallback) ____lambda32__gtk_combo_box_changed, block14_data_ref (_data14_), (GClosureNotify) block14_data_unref, 0);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp30_ = (GtkLabel*) gtk_label_new (_ ("Orientation:"));
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp30_);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp30_;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp31_ = label;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp32_ = label;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp33_ = self->priv->row_index;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp32_, 1, _tmp33_, 1, 1);
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp34_ = _data14_->combobox;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp35_ = self->priv->row_index;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp34_, 2, _tmp35_, 1, 1);
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp36_ = self->priv->row_index;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp36_ + 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block14_data_unref (_data14_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data14_ = NULL;
#line 1365 "OptionsPage.c"
	}
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (orientations);
#line 1369 "OptionsPage.c"
}


static void
_vala_GtkPaperSize_free (GtkPaperSize* self)
{
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_boxed_free (gtk_paper_size_get_type (), self);
#line 1378 "OptionsPage.c"
}


static void
___lambda33_ (PrintersOptionsPage* self)
{
}


static void
____lambda33__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda33_ ((PrintersOptionsPage*) self);
#line 1394 "OptionsPage.c"
}


static void
printers_options_page_build_page_size (PrintersOptionsPage* self)
{
	GeeTreeSet* media_sizes = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	media_sizes = _tmp0_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = media_sizes;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sizes (_tmp1_, _tmp2_);
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = media_sizes;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1432 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp20_;
		const gchar* _tmp21_;
		GtkComboBoxText* _tmp22_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp23_;
		GtkLabel* _tmp24_;
		GtkLabel* _tmp25_;
		gint _tmp26_;
		GtkComboBoxText* _tmp27_;
		gint _tmp28_;
		gint _tmp29_;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		combobox = _tmp7_;
#line 1452 "OptionsPage.c"
		{
			GeeIterator* _media_size_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = media_sizes;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_media_size_it = _tmp9_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 1465 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gchar* media_size = NULL;
				GeeIterator* _tmp11_;
				gpointer _tmp12_;
				GtkPaperSize* papersize = NULL;
				const gchar* _tmp13_;
				GtkPaperSize* _tmp14_;
				GtkComboBoxText* _tmp15_;
				GtkPaperSize* _tmp16_;
				const gchar* _tmp17_;
				GtkPaperSize* _tmp18_;
				const gchar* _tmp19_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp10_)) {
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 1484 "OptionsPage.c"
				}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = gee_iterator_get (_tmp11_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				media_size = (gchar*) _tmp12_;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp13_ = media_size;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp14_ = gtk_paper_size_new (_tmp13_);
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				papersize = _tmp14_;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp15_ = combobox;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp16_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp17_ = gtk_paper_size_get_name (_tmp16_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp18_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp19_ = gtk_paper_size_get_display_name (_tmp18_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				gtk_combo_box_text_append (_tmp15_, _tmp17_, _tmp19_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				__vala_GtkPaperSize_free0 (papersize);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_g_free0 (media_size);
#line 1514 "OptionsPage.c"
			}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_media_size_it);
#line 1518 "OptionsPage.c"
		}
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp20_ = combobox;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp21_ = default_media_source;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp20_, _tmp21_);
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp22_ = combobox;
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_object ((GtkComboBox*) _tmp22_, "changed", (GCallback) ____lambda33__gtk_combo_box_changed, self, 0);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp23_ = (GtkLabel*) gtk_label_new (_ ("Media Size:"));
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp23_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp23_;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp24_ = label;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp24_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp25_ = label;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp26_ = self->priv->row_index;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp25_, 1, _tmp26_, 1, 1);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp27_ = combobox;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp28_ = self->priv->row_index;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp27_, 2, _tmp28_, 1, 1);
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp29_ = self->priv->row_index;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp29_ + 1;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 1560 "OptionsPage.c"
	}
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (media_sizes);
#line 1566 "OptionsPage.c"
}


static Block15Data*
block15_data_ref (Block15Data* _data15_)
{
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data15_->_ref_count_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data15_;
#line 1577 "OptionsPage.c"
}


static void
block15_data_unref (void * _userdata_)
{
	Block15Data* _data15_;
	_data15_ = (Block15Data*) _userdata_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data15_->_ref_count_)) {
#line 1588 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data15_->self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data15_->combobox);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block15Data, _data15_);
#line 1598 "OptionsPage.c"
	}
}


static void
___lambda35_ (Block15Data* _data15_)
{
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data15_->self;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = _data15_->combobox;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_set_default_print_color_mode (_tmp0_, _tmp2_);
#line 1620 "OptionsPage.c"
}


static void
____lambda35__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda35_ (self);
#line 1630 "OptionsPage.c"
}


static void
printers_options_page_build_print_color_mode (PrintersOptionsPage* self)
{
	GeeTreeSet* print_color_modes = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_color_mode = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	print_color_modes = _tmp0_;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = print_color_modes;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_print_color_modes (_tmp1_, _tmp2_);
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_color_mode = _tmp3_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = print_color_modes;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1668 "OptionsPage.c"
		Block15Data* _data15_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp31_;
		const gchar* _tmp32_;
		GtkComboBoxText* _tmp33_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp34_;
		GtkLabel* _tmp35_;
		GtkLabel* _tmp36_;
		gint _tmp37_;
		GtkComboBoxText* _tmp38_;
		gint _tmp39_;
		gint _tmp40_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data15_ = g_slice_new0 (Block15Data);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data15_->_ref_count_ = 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data15_->self = g_object_ref (self);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data15_->combobox = _tmp7_;
#line 1694 "OptionsPage.c"
		{
			GeeIterator* _print_color_mode_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = print_color_modes;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_print_color_mode_it = _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 1707 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gchar* print_color_mode = NULL;
				GeeIterator* _tmp11_;
				gpointer _tmp12_;
				const gchar* _tmp13_;
				const gchar* _tmp14_;
				GQuark _tmp16_ = 0U;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label0 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label1 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label2 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label3 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label4 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label5 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label6 = 0;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp10_)) {
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 1735 "OptionsPage.c"
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = gee_iterator_get (_tmp11_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				print_color_mode = (gchar*) _tmp12_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp13_ = print_color_mode;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp14_ = _tmp13_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp16_ = (NULL == _tmp14_) ? 0 : g_quark_from_string (_tmp14_);
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (_tmp16_ == ((0 != _tmp15_label0) ? _tmp15_label0 : (_tmp15_label0 = g_quark_from_static_string ("auto")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1753 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp17_;
							const gchar* _tmp18_;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp17_ = _data15_->combobox;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp18_ = print_color_mode;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp17_, _tmp18_, _ ("Automatic"));
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1766 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label1) ? _tmp15_label1 : (_tmp15_label1 = g_quark_from_static_string ("bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1772 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp19_;
							const gchar* _tmp20_;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp19_ = _data15_->combobox;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp20_ = print_color_mode;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp19_, _tmp20_, _ ("One Color"));
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1785 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label2) ? _tmp15_label2 : (_tmp15_label2 = g_quark_from_static_string ("color")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1791 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_;
							const gchar* _tmp22_;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp21_ = _data15_->combobox;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp22_ = print_color_mode;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, _ ("Color"));
#line 219 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1804 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label3) ? _tmp15_label3 : (_tmp15_label3 = g_quark_from_static_string ("highlight")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1810 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp23_;
							const gchar* _tmp24_;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp23_ = _data15_->combobox;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp24_ = print_color_mode;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp23_, _tmp24_, _ ("One Color + Black"));
#line 222 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1823 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label4) ? _tmp15_label4 : (_tmp15_label4 = g_quark_from_static_string ("monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1829 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp25_;
							const gchar* _tmp26_;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp25_ = _data15_->combobox;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp26_ = print_color_mode;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp25_, _tmp26_, _ ("Greyscale"));
#line 225 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1842 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label5) ? _tmp15_label5 : (_tmp15_label5 = g_quark_from_static_string ("process-bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1848 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_;
							const gchar* _tmp28_;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp27_ = _data15_->combobox;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp28_ = print_color_mode;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, _ ("Processed Color"));
#line 228 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1861 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label6) ? _tmp15_label6 : (_tmp15_label6 = g_quark_from_static_string ("process-monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 1867 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp29_;
							const gchar* _tmp30_;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp29_ = _data15_->combobox;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp30_ = print_color_mode;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp29_, _tmp30_, _ ("Processed Greyscale"));
#line 231 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 1880 "OptionsPage.c"
						}
					}
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_g_free0 (print_color_mode);
#line 1886 "OptionsPage.c"
			}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_print_color_mode_it);
#line 1890 "OptionsPage.c"
		}
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp31_ = _data15_->combobox;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp32_ = default_color_mode;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp31_, _tmp32_);
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp33_ = _data15_->combobox;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp33_, "changed", (GCallback) ____lambda35__gtk_combo_box_changed, block15_data_ref (_data15_), (GClosureNotify) block15_data_unref, 0);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp34_ = (GtkLabel*) gtk_label_new (_ ("Color mode:"));
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp34_);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp34_;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp35_ = label;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp35_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp36_ = label;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp37_ = self->priv->row_index;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp36_, 1, _tmp37_, 1, 1);
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp38_ = _data15_->combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp39_ = self->priv->row_index;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp38_, 2, _tmp39_, 1, 1);
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp40_ = self->priv->row_index;
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp40_ + 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block15_data_unref (_data15_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data15_ = NULL;
#line 1934 "OptionsPage.c"
	}
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_free0 (default_color_mode);
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (print_color_modes);
#line 1940 "OptionsPage.c"
}


static Block16Data*
block16_data_ref (Block16Data* _data16_)
{
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data16_->_ref_count_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data16_;
#line 1951 "OptionsPage.c"
}


static void
block16_data_unref (void * _userdata_)
{
	Block16Data* _data16_;
	_data16_ = (Block16Data*) _userdata_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data16_->_ref_count_)) {
#line 1962 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data16_->self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data16_->combobox);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block16Data, _data16_);
#line 1972 "OptionsPage.c"
	}
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1417 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1418 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 1993 "OptionsPage.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1421 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 2016 "OptionsPage.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 2020 "OptionsPage.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 2026 "OptionsPage.c"
	} else {
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 2030 "OptionsPage.c"
	}
#line 1422 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 2034 "OptionsPage.c"
		gchar* _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1423 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2042 "OptionsPage.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2070 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1426 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2079 "OptionsPage.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2093 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 2104 "OptionsPage.c"
		}
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1427 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 2118 "OptionsPage.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1429 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2132 "OptionsPage.c"
	}
	__finally4:
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1425 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 2143 "OptionsPage.c"
	}
}


static void
___lambda34_ (Block16Data* _data16_)
{
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data16_->self;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = _data16_->combobox;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_set_default_output_bin (_tmp0_, _tmp2_);
#line 2165 "OptionsPage.c"
}


static void
____lambda34__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda34_ (self);
#line 2175 "OptionsPage.c"
}


static void
printers_options_page_build_output_bins (PrintersOptionsPage* self)
{
	GeeTreeSet* output_bins = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_output_bin = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	output_bins = _tmp0_;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = output_bins;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_output_bins (_tmp1_, _tmp2_);
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_output_bin = _tmp3_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = output_bins;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 2213 "OptionsPage.c"
		Block16Data* _data16_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp74_;
		const gchar* _tmp75_;
		GtkComboBoxText* _tmp76_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp77_;
		GtkLabel* _tmp78_;
		GtkLabel* _tmp79_;
		gint _tmp80_;
		GtkComboBoxText* _tmp81_;
		gint _tmp82_;
		gint _tmp83_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data16_ = g_slice_new0 (Block16Data);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data16_->_ref_count_ = 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data16_->self = g_object_ref (self);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data16_->combobox = _tmp7_;
#line 2239 "OptionsPage.c"
		{
			GeeIterator* _output_bin_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = output_bins;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_output_bin_it = _tmp9_;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 2252 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gchar* output_bin = NULL;
				GeeIterator* _tmp11_;
				gpointer _tmp12_;
				const gchar* _tmp13_;
				const gchar* _tmp14_;
				GQuark _tmp16_ = 0U;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label0 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label1 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label2 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label3 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label4 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label5 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label6 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label7 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label8 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label9 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label10 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label11 = 0;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp10_)) {
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 2290 "OptionsPage.c"
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = gee_iterator_get (_tmp11_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				output_bin = (gchar*) _tmp12_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp13_ = output_bin;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp14_ = _tmp13_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp16_ = (NULL == _tmp14_) ? 0 : g_quark_from_string (_tmp14_);
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (_tmp16_ == ((0 != _tmp15_label0) ? _tmp15_label0 : (_tmp15_label0 = g_quark_from_static_string ("top")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2308 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp17_;
							const gchar* _tmp18_;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp17_ = _data16_->combobox;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp18_ = output_bin;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp17_, _tmp18_, g_dgettext ("gtk30", "Top Bin"));
#line 256 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2321 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label1) ? _tmp15_label1 : (_tmp15_label1 = g_quark_from_static_string ("middle")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2327 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp19_;
							const gchar* _tmp20_;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp19_ = _data16_->combobox;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp20_ = output_bin;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp19_, _tmp20_, g_dgettext ("gtk30", "Middle Bin"));
#line 259 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2340 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label2) ? _tmp15_label2 : (_tmp15_label2 = g_quark_from_static_string ("bottom")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2346 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_;
							const gchar* _tmp22_;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp21_ = _data16_->combobox;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp22_ = output_bin;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, g_dgettext ("gtk30", "Bottom Bin"));
#line 262 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2359 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label3) ? _tmp15_label3 : (_tmp15_label3 = g_quark_from_static_string ("side")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2365 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp23_;
							const gchar* _tmp24_;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp23_ = _data16_->combobox;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp24_ = output_bin;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp23_, _tmp24_, g_dgettext ("gtk30", "Side Bin"));
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2378 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label4) ? _tmp15_label4 : (_tmp15_label4 = g_quark_from_static_string ("left")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2384 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp25_;
							const gchar* _tmp26_;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp25_ = _data16_->combobox;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp26_ = output_bin;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp25_, _tmp26_, g_dgettext ("gtk30", "Left Bin"));
#line 268 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2397 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label5) ? _tmp15_label5 : (_tmp15_label5 = g_quark_from_static_string ("right")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2403 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_;
							const gchar* _tmp28_;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp27_ = _data16_->combobox;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp28_ = output_bin;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, g_dgettext ("gtk30", "Right Bin"));
#line 271 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2416 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label6) ? _tmp15_label6 : (_tmp15_label6 = g_quark_from_static_string ("center")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2422 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp29_;
							const gchar* _tmp30_;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp29_ = _data16_->combobox;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp30_ = output_bin;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp29_, _tmp30_, g_dgettext ("gtk30", "Center Bin"));
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2435 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label7) ? _tmp15_label7 : (_tmp15_label7 = g_quark_from_static_string ("rear")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2441 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp31_;
							const gchar* _tmp32_;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp31_ = _data16_->combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp32_ = output_bin;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp31_, _tmp32_, g_dgettext ("gtk30", "Rear Bin"));
#line 277 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2454 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label8) ? _tmp15_label8 : (_tmp15_label8 = g_quark_from_static_string ("face-up")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2460 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp33_;
							const gchar* _tmp34_;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp33_ = _data16_->combobox;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp34_ = output_bin;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp33_, _tmp34_, g_dgettext ("gtk30", "Face Up Bin"));
#line 280 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2473 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label9) ? _tmp15_label9 : (_tmp15_label9 = g_quark_from_static_string ("face-down")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2479 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp35_;
							const gchar* _tmp36_;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp35_ = _data16_->combobox;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp36_ = output_bin;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp35_, _tmp36_, g_dgettext ("gtk30", "Face Down Bin"));
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2492 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label10) ? _tmp15_label10 : (_tmp15_label10 = g_quark_from_static_string ("large-capacity")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2498 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp37_;
							const gchar* _tmp38_;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp37_ = _data16_->combobox;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp38_ = output_bin;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp37_, _tmp38_, g_dgettext ("gtk30", "Large Capacity Bin"));
#line 286 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2511 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label11) ? _tmp15_label11 : (_tmp15_label11 = g_quark_from_static_string ("my-mailbox")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2517 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp39_;
							const gchar* _tmp40_;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp39_ = _data16_->combobox;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp40_ = output_bin;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp39_, _tmp40_, g_dgettext ("gtk30", "My Mailbox"));
#line 289 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2530 "OptionsPage.c"
						}
					}
				} else {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 2536 "OptionsPage.c"
						default:
						{
							const gchar* _tmp41_;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp41_ = output_bin;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							if (string_contains (_tmp41_, "stacker-")) {
#line 2544 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp42_;
								gchar* _tmp43_;
								gchar* _tmp44_;
								gint _tmp45_;
								GtkComboBoxText* _tmp46_;
								const gchar* _tmp47_;
								gint _tmp48_;
								gchar* _tmp49_;
								gchar* _tmp50_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp42_ = output_bin;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp43_ = string_replace (_tmp42_, "stacker-", "");
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp44_ = _tmp43_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp45_ = atoi (_tmp44_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_g_free0 (_tmp44_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								number = _tmp45_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp46_ = _data16_->combobox;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp47_ = output_bin;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp48_ = number;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp49_ = g_strdup_printf (g_dgettext ("gtk30", "Stacker %d"), _tmp48_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp50_ = _tmp49_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp46_, _tmp47_, _tmp50_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_g_free0 (_tmp50_);
#line 2581 "OptionsPage.c"
							} else {
								const gchar* _tmp51_;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp51_ = output_bin;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								if (string_contains (_tmp51_, "mailbox-")) {
#line 2588 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp52_;
									gchar* _tmp53_;
									gchar* _tmp54_;
									gint _tmp55_;
									GtkComboBoxText* _tmp56_;
									const gchar* _tmp57_;
									gint _tmp58_;
									gchar* _tmp59_;
									gchar* _tmp60_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp52_ = output_bin;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp53_ = string_replace (_tmp52_, "mailbox-", "");
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp54_ = _tmp53_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp55_ = atoi (_tmp54_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_g_free0 (_tmp54_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									number = _tmp55_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp56_ = _data16_->combobox;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp57_ = output_bin;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp58_ = number;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp59_ = g_strdup_printf (g_dgettext ("gtk30", "Mailbox %d"), _tmp58_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp60_ = _tmp59_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp56_, _tmp57_, _tmp60_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_g_free0 (_tmp60_);
#line 2625 "OptionsPage.c"
								} else {
									const gchar* _tmp61_;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp61_ = output_bin;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									if (string_contains (_tmp61_, "tray-")) {
#line 2632 "OptionsPage.c"
										gint number = 0;
										const gchar* _tmp62_;
										gchar* _tmp63_;
										gchar* _tmp64_;
										gint _tmp65_;
										GtkComboBoxText* _tmp66_;
										const gchar* _tmp67_;
										gint _tmp68_;
										gchar* _tmp69_;
										gchar* _tmp70_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp62_ = output_bin;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp63_ = string_replace (_tmp62_, "tray-", "");
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp64_ = _tmp63_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp65_ = atoi (_tmp64_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_g_free0 (_tmp64_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										number = _tmp65_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp66_ = _data16_->combobox;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp67_ = output_bin;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp68_ = number;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp69_ = g_strdup_printf (g_dgettext ("gtk30", "Tray %d"), _tmp68_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp70_ = _tmp69_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp66_, _tmp67_, _tmp70_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_g_free0 (_tmp70_);
#line 2669 "OptionsPage.c"
									} else {
										GtkComboBoxText* _tmp71_;
										const gchar* _tmp72_;
										const gchar* _tmp73_;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp71_ = _data16_->combobox;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp72_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										_tmp73_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp71_, _tmp72_, _tmp73_);
#line 2682 "OptionsPage.c"
									}
								}
							}
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 2688 "OptionsPage.c"
						}
					}
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_g_free0 (output_bin);
#line 2694 "OptionsPage.c"
			}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_output_bin_it);
#line 2698 "OptionsPage.c"
		}
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp74_ = _data16_->combobox;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp75_ = default_output_bin;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp74_, _tmp75_);
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp76_ = _data16_->combobox;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp76_, "changed", (GCallback) ____lambda34__gtk_combo_box_changed, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp77_ = (GtkLabel*) gtk_label_new (_ ("Output Tray:"));
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp77_);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp77_;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp78_ = label;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp78_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp79_ = label;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp80_ = self->priv->row_index;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp79_, 1, _tmp80_, 1, 1);
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp81_ = _data16_->combobox;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp82_ = self->priv->row_index;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp81_, 2, _tmp82_, 1, 1);
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp83_ = self->priv->row_index;
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp83_ + 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block16_data_unref (_data16_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data16_ = NULL;
#line 2742 "OptionsPage.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_free0 (default_output_bin);
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (output_bins);
#line 2748 "OptionsPage.c"
}


static void
printers_options_page_build_print_quality (PrintersOptionsPage* self)
{
	GeeTreeSet* print_qualities = NULL;
	GeeTreeSet* _tmp0_;
	gint default_print_quality = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	GeeTreeSet* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	print_qualities = _tmp0_;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = print_qualities;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_print_quality = printers_printer_get_print_qualities (_tmp1_, _tmp2_);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = print_qualities;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = _tmp4_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp5_ > 1) {
#line 2783 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp6_;
		GtkComboBoxText* _tmp25_;
		gint _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp29_;
		GtkLabel* _tmp30_;
		GtkLabel* _tmp31_;
		gint _tmp32_;
		GtkComboBoxText* _tmp33_;
		gint _tmp34_;
		gint _tmp35_;
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp6_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp6_);
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		combobox = _tmp6_;
#line 2804 "OptionsPage.c"
		{
			GeeIterator* _print_quality_it = NULL;
			GeeTreeSet* _tmp7_;
			GeeIterator* _tmp8_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp7_ = print_qualities;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp7_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_print_quality_it = _tmp8_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 2817 "OptionsPage.c"
				GeeIterator* _tmp9_;
				gint print_quality = 0;
				GeeIterator* _tmp10_;
				gpointer _tmp11_;
				gint _tmp12_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp9_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp9_)) {
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 2829 "OptionsPage.c"
				}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_get (_tmp10_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				print_quality = (gint) ((gintptr) _tmp11_);
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = print_quality;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				switch (_tmp12_) {
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 3:
#line 2843 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp13_;
						gint _tmp14_;
						gchar* _tmp15_;
						gchar* _tmp16_;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp13_ = combobox;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp14_ = print_quality;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp15_ = g_strdup_printf ("%d", _tmp14_);
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp16_ = _tmp15_;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp13_, _tmp16_, _ ("Draft"));
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp16_);
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 2863 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 4:
#line 2867 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp17_;
						gint _tmp18_;
						gchar* _tmp19_;
						gchar* _tmp20_;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp17_ = combobox;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp18_ = print_quality;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp19_ = g_strdup_printf ("%d", _tmp18_);
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp20_ = _tmp19_;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp17_, _tmp20_, _ ("Normal"));
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp20_);
#line 332 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 2887 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					case 5:
#line 2891 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp21_;
						gint _tmp22_;
						gchar* _tmp23_;
						gchar* _tmp24_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp21_ = combobox;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp22_ = print_quality;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp23_ = g_strdup_printf ("%d", _tmp22_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_tmp24_ = _tmp23_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp21_, _tmp24_, _ ("High"));
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						_g_free0 (_tmp24_);
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
						break;
#line 2911 "OptionsPage.c"
					}
					default:
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 2916 "OptionsPage.c"
				}
			}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_print_quality_it);
#line 2921 "OptionsPage.c"
		}
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp25_ = combobox;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp26_ = default_print_quality;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp27_ = g_strdup_printf ("%d", _tmp26_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp28_ = _tmp27_;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp25_, _tmp28_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_free0 (_tmp28_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp29_ = (GtkLabel*) gtk_label_new (_ ("Quality:"));
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp29_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp29_;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp30_ = label;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp31_ = label;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp32_ = self->priv->row_index;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp31_, 1, _tmp32_, 1, 1);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp33_ = combobox;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp34_ = self->priv->row_index;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp33_, 2, _tmp34_, 1, 1);
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp35_ = self->priv->row_index;
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp35_ + 1;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 2965 "OptionsPage.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (print_qualities);
#line 2969 "OptionsPage.c"
}


static Block17Data*
block17_data_ref (Block17Data* _data17_)
{
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_atomic_int_inc (&_data17_->_ref_count_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	return _data17_;
#line 2980 "OptionsPage.c"
}


static void
block17_data_unref (void * _userdata_)
{
	Block17Data* _data17_;
	_data17_ = (Block17Data*) _userdata_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data17_->_ref_count_)) {
#line 2991 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self = _data17_->self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (_data17_->combobox);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_slice_free (Block17Data, _data17_);
#line 3001 "OptionsPage.c"
	}
}


static void
___lambda36_ (Block17Data* _data17_)
{
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = _data17_->self;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = _data17_->combobox;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_printer_set_default_media_source (_tmp0_, _tmp2_);
#line 3023 "OptionsPage.c"
}


static void
____lambda36__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	___lambda36_ (self);
#line 3033 "OptionsPage.c"
}


static void
printers_options_page_build_media_source (PrintersOptionsPage* self)
{
	GeeTreeSet* media_sources = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	media_sources = _tmp0_;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp2_ = media_sources;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sources (_tmp1_, _tmp2_);
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp4_ = media_sources;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 3071 "OptionsPage.c"
		Block17Data* _data17_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp84_;
		const gchar* _tmp85_;
		GtkComboBoxText* _tmp86_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp87_;
		GtkLabel* _tmp88_;
		GtkLabel* _tmp89_;
		gint _tmp90_;
		GtkComboBoxText* _tmp91_;
		gint _tmp92_;
		gint _tmp93_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data17_ = g_slice_new0 (Block17Data);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data17_->_ref_count_ = 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data17_->self = g_object_ref (self);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data17_->combobox = _tmp7_;
#line 3097 "OptionsPage.c"
		{
			GeeIterator* _media_source_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp8_ = media_sources;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_media_source_it = _tmp9_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			while (TRUE) {
#line 3110 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gchar* media_source = NULL;
				GeeIterator* _tmp11_;
				gpointer _tmp12_;
				const gchar* _tmp13_;
				const gchar* _tmp14_;
				GQuark _tmp16_ = 0U;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label0 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label1 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label2 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label3 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label4 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label5 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label6 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label7 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label8 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label9 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label10 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label11 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label12 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label13 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label14 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label15 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label16 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label17 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label18 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label19 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label20 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label21 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label22 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				static GQuark _tmp15_label23 = 0;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp10_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (!gee_iterator_next (_tmp10_)) {
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					break;
#line 3172 "OptionsPage.c"
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp11_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp12_ = gee_iterator_get (_tmp11_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				media_source = (gchar*) _tmp12_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp13_ = media_source;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp14_ = _tmp13_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_tmp16_ = (NULL == _tmp14_) ? 0 : g_quark_from_string (_tmp14_);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				if (_tmp16_ == ((0 != _tmp15_label0) ? _tmp15_label0 : (_tmp15_label0 = g_quark_from_static_string ("alloc-paper")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3190 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp17_;
							const gchar* _tmp18_;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp17_ = _data17_->combobox;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp18_ = media_source;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp17_, _tmp18_, _ ("Paper Allocation"));
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3203 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label1) ? _tmp15_label1 : (_tmp15_label1 = g_quark_from_static_string ("alternate")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3209 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp19_;
							const gchar* _tmp20_;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp19_ = _data17_->combobox;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp20_ = media_source;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp19_, _tmp20_, _ ("Alternate Tray"));
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3222 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label2) ? _tmp15_label2 : (_tmp15_label2 = g_quark_from_static_string ("alternate-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3228 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_;
							const gchar* _tmp22_;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp21_ = _data17_->combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp22_ = media_source;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, _ ("Alternate Roll"));
#line 363 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3241 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label3) ? _tmp15_label3 : (_tmp15_label3 = g_quark_from_static_string ("auto")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3247 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp23_;
							const gchar* _tmp24_;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp23_ = _data17_->combobox;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp24_ = media_source;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp23_, _tmp24_, _ ("Automatic"));
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3260 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label4) ? _tmp15_label4 : (_tmp15_label4 = g_quark_from_static_string ("bottom")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3266 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp25_;
							const gchar* _tmp26_;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp25_ = _data17_->combobox;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp26_ = media_source;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp25_, _tmp26_, _ ("Bottom"));
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3279 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label5) ? _tmp15_label5 : (_tmp15_label5 = g_quark_from_static_string ("by-pass-tray")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3285 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_;
							const gchar* _tmp28_;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp27_ = _data17_->combobox;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp28_ = media_source;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, _ ("By-pass Tray"));
#line 372 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3298 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label6) ? _tmp15_label6 : (_tmp15_label6 = g_quark_from_static_string ("center")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3304 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp29_;
							const gchar* _tmp30_;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp29_ = _data17_->combobox;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp30_ = media_source;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp29_, _tmp30_, _ ("Center"));
#line 375 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3317 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label7) ? _tmp15_label7 : (_tmp15_label7 = g_quark_from_static_string ("continuous")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3323 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp31_;
							const gchar* _tmp32_;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp31_ = _data17_->combobox;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp32_ = media_source;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp31_, _tmp32_, _ ("Continuous Autofeed"));
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3336 "OptionsPage.c"
						}
					}
				} else if ((_tmp16_ == ((0 != _tmp15_label8) ? _tmp15_label8 : (_tmp15_label8 = g_quark_from_static_string ("cd")))) || (_tmp16_ == ((0 != _tmp15_label9) ? _tmp15_label9 : (_tmp15_label9 = g_quark_from_static_string ("disk"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3342 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp33_;
							const gchar* _tmp34_;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp33_ = _data17_->combobox;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp34_ = media_source;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp33_, _tmp34_, _ ("Disk"));
#line 382 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3355 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label10) ? _tmp15_label10 : (_tmp15_label10 = g_quark_from_static_string ("envelope")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3361 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp35_;
							const gchar* _tmp36_;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp35_ = _data17_->combobox;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp36_ = media_source;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp35_, _tmp36_, _ ("Envelope"));
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3374 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label11) ? _tmp15_label11 : (_tmp15_label11 = g_quark_from_static_string ("hagaki")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3380 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp37_;
							const gchar* _tmp38_;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp37_ = _data17_->combobox;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp38_ = media_source;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp37_, _tmp38_, _ ("Hagaki"));
#line 388 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3393 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label12) ? _tmp15_label12 : (_tmp15_label12 = g_quark_from_static_string ("large-capacity")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3399 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp39_;
							const gchar* _tmp40_;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp39_ = _data17_->combobox;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp40_ = media_source;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp39_, _tmp40_, _ ("Large Capacity"));
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3412 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label13) ? _tmp15_label13 : (_tmp15_label13 = g_quark_from_static_string ("left")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3418 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp41_;
							const gchar* _tmp42_;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp41_ = _data17_->combobox;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp42_ = media_source;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp41_, _tmp42_, _ ("Left"));
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3431 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label14) ? _tmp15_label14 : (_tmp15_label14 = g_quark_from_static_string ("main")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3437 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp43_;
							const gchar* _tmp44_;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp43_ = _data17_->combobox;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp44_ = media_source;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp43_, _tmp44_, _ ("Main Tray"));
#line 397 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3450 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label15) ? _tmp15_label15 : (_tmp15_label15 = g_quark_from_static_string ("main-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3456 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp45_;
							const gchar* _tmp46_;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp45_ = _data17_->combobox;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp46_ = media_source;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp45_, _tmp46_, _ ("Main Roll"));
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3469 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label16) ? _tmp15_label16 : (_tmp15_label16 = g_quark_from_static_string ("manual")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3475 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp47_;
							const gchar* _tmp48_;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp47_ = _data17_->combobox;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp48_ = media_source;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp47_, _tmp48_, _ ("Manual"));
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3488 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label17) ? _tmp15_label17 : (_tmp15_label17 = g_quark_from_static_string ("middle")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3494 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp49_;
							const gchar* _tmp50_;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp49_ = _data17_->combobox;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp50_ = media_source;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp49_, _tmp50_, _ ("Middle"));
#line 406 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3507 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label18) ? _tmp15_label18 : (_tmp15_label18 = g_quark_from_static_string ("photo")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3513 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp51_;
							const gchar* _tmp52_;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp51_ = _data17_->combobox;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp52_ = media_source;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp51_, _tmp52_, _ ("Photo"));
#line 409 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3526 "OptionsPage.c"
						}
					}
				} else if ((_tmp16_ == ((0 != _tmp15_label19) ? _tmp15_label19 : (_tmp15_label19 = g_quark_from_static_string ("asf")))) || (_tmp16_ == ((0 != _tmp15_label20) ? _tmp15_label20 : (_tmp15_label20 = g_quark_from_static_string ("rear"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3532 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp53_;
							const gchar* _tmp54_;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp53_ = _data17_->combobox;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp54_ = media_source;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp53_, _tmp54_, _ ("Rear"));
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3545 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label21) ? _tmp15_label21 : (_tmp15_label21 = g_quark_from_static_string ("right")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3551 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp55_;
							const gchar* _tmp56_;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp55_ = _data17_->combobox;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp56_ = media_source;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp55_, _tmp56_, _ ("Right"));
#line 416 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3564 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label22) ? _tmp15_label22 : (_tmp15_label22 = g_quark_from_static_string ("side")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3570 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp57_;
							const gchar* _tmp58_;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp57_ = _data17_->combobox;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp58_ = media_source;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp57_, _tmp58_, _ ("Side"));
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3583 "OptionsPage.c"
						}
					}
				} else if (_tmp16_ == ((0 != _tmp15_label23) ? _tmp15_label23 : (_tmp15_label23 = g_quark_from_static_string ("top")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3589 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp59_;
							const gchar* _tmp60_;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp59_ = _data17_->combobox;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp60_ = media_source;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp59_, _tmp60_, _ ("Top"));
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3602 "OptionsPage.c"
						}
					}
				} else {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
					switch (0) {
#line 3608 "OptionsPage.c"
						default:
						{
							const gchar* _tmp61_;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							_tmp61_ = media_source;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							if (string_contains (_tmp61_, "roll-")) {
#line 3616 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp62_;
								gchar* _tmp63_;
								gchar* _tmp64_;
								gint _tmp65_;
								GtkComboBoxText* _tmp66_;
								const gchar* _tmp67_;
								gint _tmp68_;
								gchar* _tmp69_;
								gchar* _tmp70_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp62_ = media_source;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp63_ = string_replace (_tmp62_, "roll-", "");
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp64_ = _tmp63_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp65_ = atoi (_tmp64_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_g_free0 (_tmp64_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								number = _tmp65_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp66_ = _data17_->combobox;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp67_ = media_source;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp68_ = number;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp69_ = g_strdup_printf (_ ("Roll %d"), _tmp68_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp70_ = _tmp69_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp66_, _tmp67_, _tmp70_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_g_free0 (_tmp70_);
#line 3653 "OptionsPage.c"
							} else {
								const gchar* _tmp71_;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								_tmp71_ = media_source;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
								if (string_contains (_tmp71_, "tray-")) {
#line 3660 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp72_;
									gchar* _tmp73_;
									gchar* _tmp74_;
									gint _tmp75_;
									GtkComboBoxText* _tmp76_;
									const gchar* _tmp77_;
									gint _tmp78_;
									gchar* _tmp79_;
									gchar* _tmp80_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp72_ = media_source;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp73_ = string_replace (_tmp72_, "tray-", "");
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp74_ = _tmp73_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp75_ = atoi (_tmp74_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_g_free0 (_tmp74_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									number = _tmp75_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp76_ = _data17_->combobox;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp77_ = media_source;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp78_ = number;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp79_ = g_strdup_printf (_ ("Tray %d"), _tmp78_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp80_ = _tmp79_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp76_, _tmp77_, _tmp80_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_g_free0 (_tmp80_);
#line 3697 "OptionsPage.c"
								} else {
									GtkComboBoxText* _tmp81_;
									const gchar* _tmp82_;
									const gchar* _tmp83_;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp81_ = _data17_->combobox;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp82_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									_tmp83_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp81_, _tmp82_, _tmp83_);
#line 3710 "OptionsPage.c"
								}
							}
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
							break;
#line 3715 "OptionsPage.c"
						}
					}
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
				_g_free0 (media_source);
#line 3721 "OptionsPage.c"
			}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
			_g_object_unref0 (_media_source_it);
#line 3725 "OptionsPage.c"
		}
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp84_ = _data17_->combobox;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp85_ = default_media_source;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp84_, _tmp85_);
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp86_ = _data17_->combobox;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp86_, "changed", (GCallback) ____lambda36__gtk_combo_box_changed, block17_data_ref (_data17_), (GClosureNotify) block17_data_unref, 0);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp87_ = (GtkLabel*) gtk_label_new (_ ("Paper Source:"));
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_ref_sink (_tmp87_);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		label = _tmp87_;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp88_ = label;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp88_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp89_ = label;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp90_ = self->priv->row_index;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp89_, 1, _tmp90_, 1, 1);
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp91_ = _data17_->combobox;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp92_ = self->priv->row_index;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp91_, 2, _tmp92_, 1, 1);
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_tmp93_ = self->priv->row_index;
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		self->priv->row_index = _tmp93_ + 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		block17_data_unref (_data17_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
		_data17_ = NULL;
#line 3769 "OptionsPage.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (media_sources);
#line 3775 "OptionsPage.c"
}


static void
printers_options_page_class_init (PrintersOptionsPageClass * klass)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	printers_options_page_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	g_type_class_add_private (klass, sizeof (PrintersOptionsPagePrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_options_page_finalize;
#line 3788 "OptionsPage.c"
}


static void
printers_options_page_instance_init (PrintersOptionsPage * self)
{
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self->priv = PRINTERS_OPTIONS_PAGE_GET_PRIVATE (self);
#line 25 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self->priv->row_index = 0;
#line 3799 "OptionsPage.c"
}


static void
printers_options_page_finalize (GObject * obj)
{
	PrintersOptionsPage * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1.2/src/OptionsPage.vala"
	G_OBJECT_CLASS (printers_options_page_parent_class)->finalize (obj);
#line 3813 "OptionsPage.c"
}


GType
printers_options_page_get_type (void)
{
	static volatile gsize printers_options_page_type_id__volatile = 0;
	if (g_once_init_enter (&printers_options_page_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersOptionsPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_options_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersOptionsPage), 0, (GInstanceInitFunc) printers_options_page_instance_init, NULL };
		GType printers_options_page_type_id;
		printers_options_page_type_id = g_type_register_static (gtk_grid_get_type (), "PrintersOptionsPage", &g_define_type_info, 0);
		g_once_init_leave (&printers_options_page_type_id__volatile, printers_options_page_type_id);
	}
	return printers_options_page_type_id__volatile;
}



